Mailinglist Archive: opensuse-factory (988 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20150722 released!
Changed packages:

==== ImageMagick ====
Version update (6.9.1.1 -> 6.9.1.6)
Subpackages: ImageMagick-devel ImageMagick-doc ImageMagick-extra
libMagick++-6_Q16-6 libMagickCore-6_Q16-2 libMagickWand-6_Q16-2 perl-PerlMagick

- update to 6.9.1-6
* Cache cloning on disk optimized with sendfile() (if available).
* Add an additional check for end-of-file for the RLE coder (reference
http://www.imagemagick.org/discourse-server/viewforum.php?f=3&t=27870).
* Respect resource limits in AVS coder.
* Reverted change to 6.9.1-3 that skipped palette-building.
- update to 6.9.1-5
* Use correct scale when interpretting alpha (e.g. rgba(0,0,0,1)).
* DrawGetVectorGraphics() now returns proper XML (reference
http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27751).
* Support writing EXR files with different color types (reference
http://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=27759).
* Prefer PKG_CHECK_MODULES() when searching for delegate libraries.
* Throw exception if frame option bevel exceeds to the image width / height.
* Resolve undefined behaviors (reference
http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27811).
- update to 6.9.1-4
* Support 'restrict' keyword under Windows.
* Added support for reading a user supplied layer mask in PSD files.
* Added support for reading photoshop layers in TIFF files.
- update to 6.9.1-3
* Fixed transparency issue with 16-bit tga files (reference
http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27469).
* Fixed writing label and comment in tiff images (reference
http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25516).
* Jpeg images no longer have pixels per inch as a default value for density
units when the density is not set (reference
http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27589).
* Added support for setting the font color with -fill to the pango coder.
* Fixed bug with "-define png:format=x" in png.c, introduced in version
6.8.9-0, that caused the define to be ignored.
* Replaced some dead code in ReadJNGImage with an assert().
* Avoid palette-building when writing a grayscale PNG (reference
http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27580).
* Support -define compose:clamp=false option (reference
http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26946).
* Don't extend any user supplied image buffer in SeekBlob() (bug report
from a.chernij@corp...).
* Improved reproducible builds (reference
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=783933).
* Draw a rectangle of width & height of 1 (reference
http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24874).
- update to 6.9.1-2
* Avoid using a NULL alpha_image or color_image in the JNG decoder.
* Fix JPEG-2000 transparency on write (reference
http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27304).
* Identify now identifies PSD (reference
http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26948).
* Speed up writing to TGA (reference
http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27369).
* Reduce draw epsilon to increase mathematical stability.
* Fixed UTF8 issue when determining the current working directory
on Windows (reference
http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27295).

==== Mesa ====
Version update (10.6.1 -> 10.6.2)
Subpackages: Mesa-32bit Mesa-devel Mesa-dri-devel Mesa-libEGL-devel
Mesa-libEGL1 Mesa-libEGL1-32bit Mesa-libGL-devel Mesa-libGL1 Mesa-libGL1-32bit
Mesa-libGLESv1_CM-devel Mesa-libGLESv1_CM1 Mesa-libGLESv2-2
Mesa-libGLESv2-devel Mesa-libglapi-devel Mesa-libglapi0 Mesa-libglapi0-32bit
libOSMesa-devel libOSMesa9 libgbm-devel libgbm1 libgbm1-32bit libvdpau_nouveau
libvdpau_r300 libvdpau_r600 libvdpau_radeonsi libwayland-egl-devel
libwayland-egl1 libxatracker2

- update to 10.6.2
* fdo#73528 - Deferred lighting in Second Life causes system hiccups and
screen flickering
* fdo#80500 - Flickering shadows in unreleased title trace
* fdo#82186 - [r600g] BARTS GPU lockup with minecraft shaders
* fdo#84225 - Allow constant-index-expression sampler array indexing with
GLSL-ES < 300
* fdo#90537 - radeonsi bo/va conflict on RADEON_GEM_VA
(rscreen->ws->buffer_from_handle returns NULL)
* fdo#90873 - Kernel hang, TearFree On, Mate desktop environment
* fdo#91022 - [g45 g965 bisected] assertions generated from textureGrad cube
samplers fix
* fdo#91047 - [SNB Bisected] Messed up Fog in Super Smash Bros. Melee in
Dolphin
* fdo#91056 - The Bard's Tale (2005, native) has rendering issues
* fdo#91117 - Nimbus (running in wine) has rendering issues, objects are
semi-transparent
* fdo#91124 - Civilization V (in Wine) has rendering issues: text missing,
menu bar corrupted
* fdo#91173 - Oddworld: Stranger's Wrath HD: disfigured models in wrong colors
* fdo#91226 - Crash in glLinkProgram (NEW)
* fdo#91231 - [NV92] Psychonauts (native) segfaults on start when DRI3 enabled
* loader: Look for any version of currently linked libudev.so
* nv50/ir: propagate modifier to right arg when const-folding mad
* nv50/ir: fix emission of address reg in 3rd source
* nv50/ir: copy joinAt when splitting both before and after
* mesa: reset the source packing when creating temp transfer image
* nv50/ir: don't emit src2 in immediate form
* mesa/prog: relative offsets into constbufs are not constant
* nv50/ir: UCMP arguments are float, so make sure modifiers are applied
* nvc0: turn sample counts off during blit
* i965/fs: Fix ir_txs in emit_texture_gen4_simd16().
* i965: Reserve more batch space to accomodate Gen6 perfmonitors.
* i965/vs: Fix matNxM vertex attributes where M != 4.
* Revert "glsl: clone inputs and outputs during linking"
* Revert "i965: Delete linked GLSL IR when using NIR."
* r600g: disable single-sample fast color clear due to hangs
* radeonsi: fix a hang with DrawTransformFeedback on 4 SE chips
* st/dri: don't set PIPE_BIND_SCANOUT for MSAA surfaces
* nouveau: Use dup fd as key in drm-winsys hash table to fix ZaphodHeads.
* winsys/radeon: Use dup fd as key in drm-winsys hash table to fix
ZaphodHeads.
* i965/fs: Don't mess up stride for uniform integer multiplication.
* winsys/radeon: Unmap GPU VM address range when destroying BO
* meta: Only change and restore viewport 0 in mesa meta mode
* i965: allocate at least 1 BLEND_STATE element
* i965/skl: Set the pulls bary bit in 3DSTATE_PS_EXTRA
* glsl: Add missing check for whether an expression is an add operation
* glsl: Make sure not to dereference NULL
* i965: Don't try to print the GLSL IR if it has been freed
* glsl: clone inputs and outputs during linking
* i965: Delete linked GLSL IR when using NIR.
* glsl: Allow dynamic sampler array indexing with GLSL ES < 3.00
* mesa/glsl: new compiler option EmitNoIndirectSampler
* i965: use EmitNoIndirectSampler for gen < 7
* i915: use EmitNoIndirectSampler
* mesa/st: use EmitNoIndirectSampler if !ARB_gpu_shader5
* glsl: validate sampler array indexing for 'constant-index-expression'

==== MozillaFirefox ====
Version update (38.0.6 -> 39.0)
Subpackages: MozillaFirefox-translations-common

- update to Firefox 39.0 (bnc#935979)
* Share Hello URLs with social networks
* Support for 'switch' role in ARIA 1.1 (web accessibility)
* SafeBrowsing malware detection lookups enabled for downloads
(Mac OS X and Linux)
* Support for new Unicode 8.0 skin tone emoji
* Removed support for insecure SSLv3 for network communications
* Disable use of RC4 except for temporarily whitelisted hosts
* NPAPI Plug-in performance improved via asynchronous initialization
security fixes:
* MFSA 2015-59/CVE-2015-2724/CVE-2015-2725/CVE-2015-2726
Miscellaneous memory safety hazards
* MFSA 2015-60/CVE-2015-2727 (bmo#1163422)
Local files or privileged URLs in pages can be opened into new tabs
* MFSA 2015-61/CVE-2015-2728 (bmo#1142210)
Type confusion in Indexed Database Manager
* MFSA 2015-62/CVE-2015-2729 (bmo#1122218)
Out-of-bound read while computing an oscillator rendering range in Web Audio
* MFSA 2015-63/CVE-2015-2731 (bmo#1149891)
Use-after-free in Content Policy due to microtask execution error
* MFSA 2015-64/CVE-2015-2730 (bmo#1125025)
ECDSA signature validation fails to handle some signatures correctly
(this fix is shipped by NSS 3.19.1 externally)
* MFSA 2015-65/CVE-2015-2722/CVE-2015-2733 (bmo#1166924, bmo#1169867)
Use-after-free in workers while using XMLHttpRequest
* MFSA 2015-66/CVE-2015-2734/CVE-2015-2735/CVE-2015-2736/CVE-2015-2737
CVE-2015-2738/CVE-2015-2739/CVE-2015-2740
Vulnerabilities found through code inspection
* MFSA 2015-67/CVE-2015-2741 (bmo#1147497)
Key pinning is ignored when overridable errors are encountered
* MFSA 2015-68/CVE-2015-2742 (bmo#1138669)
OS X crash reports may contain entered key press information
(not relevant under Linux)
* MFSA 2015-69/CVE-2015-2743 (bmo#1163109)
Privilege escalation in PDF.js
* MFSA 2015-70/CVE-2015-4000 (bmo#1138554)
NSS accepts export-length DHE keys with regular DHE cipher suites
(this fix is shipped by NSS 3.19.1 externally)
* MFSA 2015-71/CVE-2015-2721 (bmo#1086145)
NSS incorrectly permits skipping of ServerKeyExchange
(this fix is shipped by NSS 3.19.1 externally)
- dropped mozilla-prefer_plugin_pref.patch as this feature is
likely not worth maintaining further
- rebased patches
- require NSS 3.19.2
- mozilla-arm64-libjpeg-turbo.patch: fix libjpeg-turbo configuration

==== MozillaThunderbird ====
Version update (31.7.0 -> 38.1.0)
Subpackages: MozillaThunderbird-translations-common

- update to Thunderbird 38.1.0 (bnc#935979)
* MFSA 2015-59/CVE-2015-2724/CVE-2015-2725
Miscellaneous memory safety hazards
* MFSA 2015-60/CVE-2015-2727 (bmo#1163422)
Local files or privileged URLs in pages can be opened into new tabs
* MFSA 2015-61/CVE-2015-2728 (bmo#1142210)
Type confusion in Indexed Database Manager
* MFSA 2015-62/CVE-2015-2729 (bmo#1122218)
Out-of-bound read while computing an oscillator rendering range in Web Audio
* MFSA 2015-63/CVE-2015-2731 (bmo#1149891)
Use-after-free in Content Policy due to microtask execution error
* MFSA 2015-64/CVE-2015-2730 (bmo#1125025)
ECDSA signature validation fails to handle some signatures correctly
(this fix is shipped by NSS 3.19.1 externally)
* MFSA 2015-65/CVE-2015-2722/CVE-2015-2733 (bmo#1166924, bmo#1169867)
Use-after-free in workers while using XMLHttpRequest
* MFSA 2015-66/CVE-2015-2734/CVE-2015-2735/CVE-2015-2736/CVE-2015-2737
CVE-2015-2738/CVE-2015-2739/CVE-2015-2740
Vulnerabilities found through code inspection
* MFSA 2015-67/CVE-2015-2741 (bmo#1147497)
Key pinning is ignored when overridable errors are encountered
* MFSA 2015-69/CVE-2015-2743 (bmo#1163109)
Privilege escalation in PDF.js
* MFSA 2015-70/CVE-2015-4000 (bmo#1138554)
NSS accepts export-length DHE keys with regular DHE cipher suites
(this fix is shipped by NSS 3.19.1 externally)
* MFSA 2015-71/CVE-2015-2721 (bmo#1086145)
NSS incorrectly permits skipping of ServerKeyExchange
(this fix is shipped by NSS 3.19.1 externally)
- requires NSS 3.19.2
- update to Thunderbird 38.0.1
* includes Lightning as default extension
- rebased patches
- removed obsolete patches:
* mozilla-ppc.patch
* mozilla-nullptr-gcc45.patch
* mozilla-bug1024492.patch
- dropped openSUSE specific patches
* thunderbird-shared-nss-db.patch
* mozilla-shared-nss-db.patch
the provided feature seems not to be used and its maintenance
is not worth the ongoing efforts
- tb-develdirs.patch is now mozilla-develdirs.patch as it is a
platform configuration now

==== aaa_base ====
Version update (13.2+git20150428.4b7d6b6 -> 13.2+git20150625.4df5033)
Subpackages: aaa_base-extras

- Merge pull request #25 from ptesarik/master
- Enable SysRq dump by default
- Revert "fix /etc/init.d/foo status return code (bnc#931388)"
- Merge pull request #23 from bmwiedemann/master
- fix /etc/init.d/foo status return code (bnc#931388)

==== alsa-plugins ====
Subpackages: alsa-plugins-pulse

- Backport upstream fixes: just minor build fix issues that don't
hit us, but kept here for consistency
0005-arcam-av-Include-sys-select.h-for-fd_set-definition.patch
0006-pph-include-speexdsp_types.h-not-speex_types.h.patch
0007-pph-Fix-build-with-older-speex.patch
- Fix build error with SLE11-SP3 due to lack of speexdsp pkgconfig.

==== alsa-utils ====

- Backport upstream fixes for aplay signal handling and alsactl
possible buffer overflow of readlink():
0004-aplay-Fix-type-for-signal-flag.patch
0005-aplay-Fix-uninterruptible-aplay.patch
0006-alsactl-terminate-readlink-result-string.patch

==== amarok ====

- Add Enable_Wikipedia_over_SSL.patch to make the Wikipedia applet
work again (boo#934730, kde#349313)

==== android-tools ====
Version update (4.2.2_r1 -> 5.1.1_r8)

- Update to version 5.1.1_r8
* No changelog available
- Drop obsolete fix-overflow-in-adb_client.patch
- Drop obsolete android-tools-ppc64-types.patch
- Fix implicit definition
* f2fs-tools-implicit-definitions.patch

==== apache2 ====
Subpackages: apache2-devel apache2-doc apache2-example-pages apache2-prefork
apache2-utils

- add patch: httpd-2.4.12-lua-5.2.patch
* lua_dump introduced a new strip option in 5.3, set it to 0
to get the old behavior
* luaL_register was deprecated in 5.2, use luaL_setfuncs and
luaL_newlib instead
* luaL_optint was deprecated in 5.3, use luaL_optinteger instead
* lua_strlen and lua_objlen wad deprecated in 5.2, use lua_rawlen
instead
- change Provides: from suse_maintenance_mmn = # to
suse_maintenance_mmn_#
- apache2 Suggests:, not Recommends: apache2-prefork; that means
for example, that `zypper in apache2-worker` will not pull
apache2-prefork also
- installing /usr/sbin/httpd link:
* do not try to install it in '%post <MPM>' when apache2 (which
includes /usr/share/apache2/script-helpers) is not installed
yet (fixes installation on 11sp3)
* install it in '%post' if apache2 is installed after
apache2-<MPM> to be sure it is there

==== appstream-glib ====
Subpackages: libappstream-builder7 libappstream-glib7

- Failing the test suite is not fatal.

==== audacity ====
Version update (2.1.0 -> 2.1.1)
Subpackages: audacity-lang

- Drop sf.net download URL as the download host was changed
- Update to 2.1.1:
+ Changes and Improvements:
* Built-in effects now support presets.
* New Limiter effect replaces Hard Limiter effect.
* New Crossfade Clips effect to apply a simple crossfade to a
selected pair of clips in a single audio track.
* Can now add/remove effects from Generate and Effects menus.
* New version of Vocal Removal Effect.
* Classic Filters now included as an opt-in effect.
* Much faster editing with larger projects, thanks to a faster
method for storing the autosave recovery file.
* Performance improvements for Draw Tool and zooming of
Spectrogram views.
* Zero-padding Spectrograms Preference smooths the image for
short window sizes.
* Scrubbing and Seeking, including backwards play.
* Quick-Play from Timeline enhancements, particularly for
looping.
* More VI usability enhancements for track focus & navigation.
* Upgraded to Nyquist 3.0.9 and libflac 1.3.1.
* Upgraded LV2 libs, LV2 GUIs on Linux, LV2 factory Presets.
* Crash report integration.
* Modules can be enabled in Preferences. Mod-nyq-bench
available as an experimental module (but not in the default
download).
+ Bug fixes:
* Crash using Undo while dragging sample points
* Crash using File > Close on project window when
Screenshot Tools was open.
* FFmpeg Custom Export: Crashes importing presets.
* TAL VST (but not other VST's) crashed if previewing built-in
effect.
* SPACE could not be used/could crash in context menus that
have a checkbox.
* LV2 effects did not use parameters when using Chains.
* Built-in Generators were not usable in Chains.
* Plot Spectrum could not change values without losing focus.
* Track dropdown menu settings could affect other tracks.
* Slight mismatch of vertical scale with linear spectrogram
view.
* RTP effect Play/Stop button remained deactivated after
built-in preview ended.
* Contrast: "Move forward or backward through active windows"
did not refocus Contrast.
* LADSPA and LV2 generate plug-ins failed when white space
selected.
- Rebase audacity-no_buildstamp.patch.
- Add audacity-fix-nonsense.patch to fix build regressions
introduced in Audacity 2.1.1.
- Audacity now requires libsoxr without an option.
- Specify a version of wxWidgets Audacity requires.

==== augeas-lenses ====
Version update (1.3.0 -> 1.4.0)
Subpackages: libaugeas0

- Version bump to 1.4.0:
* Loads of bugfixes all around the package
* Read up NEWS file for the detailed changes

==== autoyast2 ====
Version update (3.1.84 -> 3.1.85)
Subpackages: autoyast2-installation

- Syncing hardware time before starting installation via ntp.
This is configurable via the flag
<general><mode><ntp_sync_time_before_installation> with which
the name of the ntp server will be defined. If it is not set
no synchronisation will be done. So it is backward compatible.
(bnc#935066)
- 3.1.85

==== bash ====
Subpackages: bash-doc libreadline6 readline-devel readline-doc

- add bash-4.3-perl522.patch to fix texi2html for perl 5.22
(defined(@array) has been deprecated since at least 2012)

==== bind ====
Version update (9.10.2 -> 9.10.2P2)
Subpackages: bind-chrootenv bind-doc bind-utils libbind9-140 libirs141
libisc148 libisccc140 libisccfg140 liblwres141

- Update to version 9.10.2-P2
- An uninitialized value in validator.c could result in an assertion failure.
(CVE-2015-4620) [RT #39795]
- Update to version 9.10.2-P1
- Include client-ip rules when logging the number of RPZ rules of each type.
[RT #39670]
- Addressed further problems with reloading RPZ zones. [RT #39649]
- Addressed a regression introduced in change #4121. [RT #39611]
- The server could match a shorter prefix than what was available in
CLIENT-IP policy triggers, and so, an unexpected action could be taken.
This has been corrected. [RT #39481]
- On servers with one or more policy zones configured as slaves, if a policy
zone updated during regular operation (rather than at startup) using a full
zone reload, such as via AXFR, a bug could allow the RPZ summary data to
fall out of sync, potentially leading to an assertion failure in rpz.c when
further incremental updates were made to the zone, such as via IXFR.
[RT #39567]
- A bug in RPZ could cause the server to crash if policy zones were updated
while recursion was pending for RPZ processing of an active query.
[RT #39415]
- Fix a bug in RPZ that could cause some policy zones that did not
specifically require recursion to be treated as if they did; consequently,
setting qname-wait-recurse no; was sometimes ineffective. [RT #39229]
- Asynchronous zone loads were not handled correctly when the zone load was
already in progress; this could trigger a crash in zt.c. [RT #37573]
- Fix an out-of-bounds read in RPZ code. If the read succeeded, it doesn't
result in a bug during operation. If the read failed, named could segfault.
[RT #38559]

==== bluez ====
Version update (5.31 -> 5.32)
Subpackages: bluez-cups bluez-devel libbluetooth3

- update to version 5.32:
This is mostly a bug fix release rather than including many new
features. The fixes fall in several different areas, including
OPP, ATT and advertising (instance number handling in
particular). There?s also a fix for handling a sudden disconnect
when a connection setup process hasn?t yet completed. The one
notable feature this release has is the ability to select between
letting the stack handle ATT security elevation or doing the
respective error handling in higher layers.

==== btrfsprogs ====
Version update (4.1 -> 4.1.2)
Subpackages: libbtrfs0

- version 4.1.2
- mkfs: bugfix, previous version does not create entierly correct
filesystem (has to be recreated)
- version 4.1.1
* bugfixes
- defrag: threshold overflow fix
- fsck:
- check if items fit into the leaf space
- fix wrong nbytes
- mkfs:
- create only desired block groups for single device
- preparatory work for fix on multiple devices
* enhancements
- new alias for 'device delete': 'device remove'
* other
- fix compilation on old gcc (4.3)
- documentation updates
- debug-tree: print nbytes
- test: image for corrupted nbytes
- corupt-block: let it kill nbytes

==== cifs-utils ====

- Add include_paths.h_for__PATH_MOUNTED.patch

==== cmake ====

- Make cmake autoprovides work on !x86_64 arches

==== crda ====
Version update (1.1.3 -> 3.18)

- update to version 3.18:
* user visible: add pubkey of new wireless-regdb maintainer to
make crda work at all with newer wireless-regdb
* synchronize code with latest kernel changes
* crda: add AUTO-BW rule flag support
* crda: parse/print CAC time
* code restructuring and bug fixes
* ** License is now copyleft-next-0.3.0 ***
- packaging:
* add V=1 to make calls for rpmlint happiness
* use %%optflags for compilation
* shared library libreg.so is now used by the tools

==== cron ====
Subpackages: cronie

- cron.service: Use KillMode=process like upstream does.

==== cups ====
Subpackages: cups-client cups-devel cups-libs cups-libs-32bit

- cups-2.0.3-additional_policies.patch replaces
cups-1.7-additional_policies.patch that still adds the same
"allowallforanybody" policy but now with separated "Limit All"
to avoid https://www.cups.org/str.php?L4659 (boo#936309).
- Added "-p /bin/bash" to RPM shell commands scriptlets that
enforces bash to be safe against any possible "bashisms", cf
https://en.opensuse.org/openSUSE:Packaging_scriptlet_snippets

==== cups-filters ====
Version update (1.0.68 -> 1.0.71)
Subpackages: cups-filters-cups-browsed cups-filters-foomatic-rip
cups-filters-ghostscript

- Version upgrade to 1.0.71
Change in 1.0.71 (cf. the NEWS file but there is a typo
in the NEWS file that claims the CVE number is 3259
while the correct CVE number is 3279):
* texttopdf: The Page allocation is moved into textcommon.c,
where it does all the necessary checking: lower-bounds
for CVE-2015-3258 and upper-bounds for CVE-2015-3279
due to integer overflows for the calloc() call
initialising Page[0] and the memset() call in texttopdf.c's
WritePage() function zeroing the entire array.
Thanks to Tim Waugh from Red Hat for the patch.
* texttopdf: Upper-bounds checking (CVE-2015-3279).
- Version upgrade to 1.0.70
Changes in 1.0.70 (excerpt - for details see the NEWS file):
* texttopdf: Fixed buffer overflow on size allocation
of texttopdf when working with extremely small line sizes,
which causes the size calculation to result in 0
(CVE-2015-3258, thanks to Stefan Cornelius fro Red Hat
for the patch).
* cups-browsed: leak fixes
* cups-browsed: Further BrowseAllow fixing
* cups-browsed: BrowsePoll is an array of pointers,
not structures, so allocate room for the pointers
* cups-browsed: Prevent NULL dereference when handling
BrowseAllow without value
* cups-browsed: Use memory deallocation function
corresponding to allocation function used
* cups-browsed: Fixes for glib source handling
(Red Hat bug #1228555)
- Version upgrade to 1.0.69
Changes in 1.0.69 (excerpt - for details see the NEWS file):
* cups-browsed: When checking whether a queue name already
exists as a locally defined queue, do case-insensitive
comparing as for CUPS printer names are case-insensitive.
This assures that already existing queues do never get
overwritten.
* cups-browsed: Added "IPPPrinterQueueType Auto/PPD/NoPPD"
directive to cups-browsed.conf to allow controlling how
cups-browsed creates queues fr native IPP network printers:
with PPD, with System V interface script, or selecting
automatically.
* pdftopdf: Center Landscape-oriented jobs correctly
on the page if the "fitplot" or "number-up" options
are used (Bug #1284).
* pstopdf: Removed "-dUseCIEColor" from the Ghostscript command
line. In modern Ghostscript versions (9.11 and newer) it is
recommended to not use it with the pdfwrite and ps2write
output devices any more.
* imagetopdf: Corrections in PDF output: Let evince display
the PDF with the correct size including margins and let
ghostscript not complain about an invalid xref entry.
* sys5ippprinter: Renamed pdftoippprinter to reflect that it is
once a System 5 interface script and second does not accept
only PDF as input.
* pdftoippprinter: Support also PWG Raster and JPEG as input
formats so that an auto-generated, PPD-less queue for an
IPP printer emulates an IPP Everywhere printer.

==== daps ====
Version update (2.1 -> 2.1.1)

- Stable release DAPS 2.1.1:
* Bugfixes:
- Fix for issue #274 (PDF Index Building Fails Because of Empty
Profiling Directory)
- fix for issue #275 (Avoid Same Target Names in Different
Makefiles)
- fix for issue #276 (PROFILE_URN Detection Depends on Position of PI
in Document)
- fix for issue #277 (Debugging Targets Fail when xml:lang is
not set)
- fix for issue #278 (Avoid Using "LANGUAGE" as a Variable Name)
- fix for issue #280 (Webhelp: Common/ Directory Contains Dead
Symbolic Links)
* New Features:
- added support for profiling attribute "outputformat" by
intrducing PROFOUTPUTFORMAT (issue #279)
* Miscellaneous:
- replaced Chinese font "FZSongTi" with "wqy-microhei" in the
default config file for XEP
(XEP_CONFIG_FILE=etc/xep/xep-daps.xml)

==== dcraw ====
Version update (9.24.2 -> 9.26.0)
Subpackages: dcraw-lang

- Update to version 9.26.0:
* fixes:
dcraw revision 1.476
* Support the Blackmagic URSA, Nokia N9, and Photron BC2-HD.
* Support the Canon EOS 750D, 760D, EOS M, and sRAW/mRAW for EOS 5DS R.
* When there's a tie for largest raw image, "-s" says which to decode.
* Fixed null-byte warnings in TIFF output.
dcraw revision 1.475
* Use typecasts instead of [0] to flatten multi-dimensional arrays.
dcraw revision 1.474
* Updated color matrices, support the Canon EOS 5DS.

==== dejavu-fonts ====
Version update (2.34 -> 2.35)

- Update to 2.35:
* For details see: http://dejavu-fonts.org/wiki/Changelog

==== diffutils ====

- add gnulib-perl522.patch from gnulib upstream

==== dmraid ====

- dmevent_tool fails with "undefined symbol" (bnc#935623)
Added: fix-undefined-symbol.patch

==== dos2unix ====
Version update (7.2.2 -> 7.2.3)

- Update to 7.2.3
* Fix: Check for file I/O errors while reading input files, and added
a few missing checks while writing output files.
* Fix: Compilation for msys.

==== dracut ====
Version update (041 -> 043)

- Update to version 043
Minor change: add missing dmsquash-generator
- Fix dmraid issue bnc#905746
A dracut_dmraid_use_udev.patch
- Taken over from SLE12
A fips_add_aesni-intel.patch
- Do not touch /run vs /var/run bnc#922676
D 0106-dracut-Enable-converting-of-directory-var-run-var-lo.patch
- Update dracut to version 042
Remove these already included or unneeded patches:
D dracut_v041_to_HEAD.patch
D 0011-Correct-paths-for-openSUSE.patch
D 0068-95fcoe-uefi-Test-for-EFI-firmware.patch
D 0170-enable-logitech-hidpp.patch
- Fix nfs mount if IPv4 is used in fstab instead of hostname
A fix_nfs_with_ip_instead_of_hostname.patch
Adjust/refresh:
M 0015-40network-replace-dhclient-with-wickedd-dhcp-supplic.patch
M 0016-Add-new-s390x-specific-rule-files.patch
M 0017-45ifcfg-use-distro-specific-scripts.patch
M 0019-40network-Fix-race-condition-when-wait-for-networks.patch
M 0020-00warpclock-Set-correct-timezone.patch
M 0021-95dcssblk-Add-new-module-for-DCSS-block-devices.patch
M 0048-40network-Only-enable-network-interfaces-if-explicit.patch
M 0053-01fips-fixup-loading-issues.patch
M 0056-81cio_ignore-handle-cio_ignore-commandline.patch
M 0057-01fips-Include-some-more-hmacs.patch
M 0058-dracut-add-warning-when-including-unsupported-module.patch
M 0059-99suse-Add-SUSE-specific-initrd-parsing.patch
M 0060-45ifcfg-Add-SUSE-specific-write-ifcfg-file.patch
M 0061-45ifcfg-Fixup-error-message-in-write-ifcfg-suse.patch
M 0066-40network-always-start-netroot-in-ifup.sh.patch
M 0075-95dasd_rules-enable-parsing-of-rd.dasd-commandline-p.patch
M 0076-Correctly-set-cio_ignore-for-dynamic-s390-rules.patch
M 0079-95dasd_rules-fixup-rd.dasd-parsing.patch
M 0080-95dasd_rules-print-out-rd.dasd-commandline.patch
M 0081-95dasd_mod-do-not-set-module-parameters-if-dasd_cio_.patch
M 0083-95zfcp_rules-Fixup-rd.zfcp-parsing.patch
M 0085-95zfcp_rules-print-out-rd.zfcp-commandline-parameter.patch
M 0086-95zfcp_rules-Auto-generate-udev-rule-for-ipl-device.patch
M 0087-95dasd_rules-Auto-generate-udev-rule-for-ipl-device.patch
M 0088-91zipl-Add-new-module-to-update-s390x-configuration.patch
M 0089-40network-create-var-lib-wicked-in-ifup.sh.patch
M 0090-dracut-caps-Remove-whole-caps-module.patch
M 0091-dracut-biosdevname-In-SUSE-biosdevname-package-is-in.patch
M 0094-Implement-shortcut-ip-ifname-static-for-static-confi.patch
M 0106-dracut-Enable-converting-of-directory-var-run-var-lo.patch
M 0107-Fixup-typo-firmare-instead-of-firmware.patch
M 0108-91zipl-Store-commandline-correctly.patch
M 0109-95dasd_rules-Store-all-devices-in-commandline.patch
M 0110-95zfcp_rules-Store-all-devices-in-commandline.patch
M 0113-91zipl-Install-script-as-executable.patch
M 0114-91zipl-Translate-ext2-3-into-ext4.patch
M 0116-Mark-scripts-as-executable.patch
M 0117-95dasd_rules-Enable-the-device-before-checking-devic.patch
M 0118-95zfcp_rules-Enable-the-device-before-checking-devic.patch
M 0119-Reset-IFS-variable.patch
M 0120-mkinitrd-suse.sh-Bail-out-with-exit-1-if-initrd-cann.patch
M 0121-Adjust-initramfs-kernel.img-to-SUSE-default-initrd-k.patch
M 0122-Get_kernel_version_from_gz_file_for_arm.patch
M 0123-95zfcp_rules-fix-typo-in-module_setup.patch
M 0124-40network-Update-iBFT-scanning-code-to-handle-IPv6.patch
M 0125-40network-separate-mask-and-prefix.patch
M 0126-01fips-Add-drbg-module-to-force-loaded-modules.patch
M 0130-nfs-Always-add-all-kernel-modules-for-kdump.patch
M 0131-40network-handle-prefixed-IP-addresses-correctly.patch
M 0132-40network-fixup-static-network-configuration.patch
M 0137-Switch-from-Mozilla-NSS-sha256hmac-checking-to-fipsc.patch
M 0142-40network-Don-t-report-error-for-etc-sysconfig-netwo.patch
M 0144-90crypt-Fixed-crypttab_contains-to-also-work-with-de.patch
M 0150-Find-kernel-modules-in-extra-and-weak-updates-path-a.patch
M 0157-Add-boot-zipl-to-host-devs-if-it-is-a-mount-point.patch
M 0158-Add-SUSE-kernel-module-dependencies-in-etc-modprobe..patch
M 0159-network-Try-to-load-xennet.patch
M 0163-Install-etc-sysconfig-console-to-see-specific-fonts.patch
M 0164-Fix-initramfs-ver.img-vs-initrd-ver-in-dracut-initra.patch
M 0165-Order-root-fsck-after-pre-mount.patch
M 0168-remove_plymouth_logo_file.patch
M dracut_fix_multipath_without_config.patch
- Fix mkinitrd (get_kernel_version) for arm* arch by getting kernel version
from vmlinux.*.gz file instead of [uz]Image file.
Taken over from mkinitrd bnc#908454
* Add patch 0122-Get_kernel_version_from_gz_file_for_arm.patch
- Fix nfs ip= setup in case of IP instead of host in root= name (bsc#931307)
- Honor allow_unsupported_modules setting
From: Borislav Petkov <bp@xxxxxxx>
$ make install
of a locally built kernel, you don't want dracut to do --check-supported
for supported modules when you have "allow_unsupported_modules 1" in
/etc/modprobe.d/10-unsupported-modules.conf.
Teach /sbin/installkernel to pay attention to that setting.
Use modprobe --showconfig too, which is going to be the proper way to do
it starting with 12SP1.

==== ed ====
Version update (1.11 -> 1.12)

- Update to 1.12
* ed.texi: Removed extra spaces from some commands.

==== evolution ====
Version update (3.16.3 -> 3.16.4)
Subpackages: evolution-plugin-bogofilter evolution-plugin-spamassassin

- Update to version 3.16.4:
+ Soft-depend on gtk+ 3.12 and 3.16.
+ Composer: Leave copy&pasting inside the composer on WebKit.
+ Editor: Width limits are wrong for lists when switching
composer modes.
+ EHTMLEditor: Improve lists formats.
+ EHTMLEditorSelection:
- Get CSSStyleDeclaration from element instead of DOMWindow.
- Remove unused variable.
- Text in quoted content is wrongly wrapped when contains
tabulator.
- Blocks are wrongly wrapped when the last character is space.
- Alignment cannot be set back to left in list.
- Width limit is set when indenting block.
- Fix indentation.
- Alignment could be wrong.
- Current block format is wrong for nested lists.
- Fix the change of a list formatting to another list
formatting.
- Fix the formatting change from list to block.
- Roman Numeral and Alphabetical list formats are not detected.
+ EHTMLEditorView:
- Don't try to unref non-existing DOMRange object.
- Magic links are not working anymore.
- Appending text to the link is broken.
- Improve debug output of undo/redo history.
- Remove debug outputs committed by mistake.
- Nodes from undo/redo history could be modified.
- Undo/Redo around links is wrong.
- Extra new line in the beginning of quoted content.
- Fix appending a text to the link.
- Current block is removed when Backspace is pressed on its
end.
- If deleting quoted content, other content can be deleted as
well.
- Fix indentation.
- Fix leaks discovered by Valgrind.
- Allow links to be wrapped on any character, not just on dash.
- Inserting space after the link appends it to the link.
+ Don't save the history for various HTML formatting dialogs if
the formatting didn't changed.
+ Use configured Date/Time format in Tasks/Memos tooltips.
+ [Publish Calendar] Disconnect free-busy-data signal handler.
+ [EMailAccountStore] Unnecessary ESource writes on start.
+ EShell: Do not require Authentication extension for trust
prompts.
+ Ignore "Service unavailable" errors in Send/Receive routines.
+ Bugs fixed: bgo#750560, bgo#750487, bgo#750299, bgo#750661,
bgo#676974, bgo#750710, bgo#677495, bgo#540157, bgo#750753,
bgo#329869, bgo#587476, bgo#231967, bgo#471791, bgo#747290,
bgo#701483, bgo#750615, bgo#751381, bgo#510970, bgo#751424,
bgo#751594, bgo#751194, bgo#751225, bgo#751186, bgo#751915,
bgo#752018, bgo#752119, bgo#752086.
+ Updated translations.

==== evolution-data-server ====
Version update (3.16.3 -> 3.16.4)
Subpackages: evolution-data-server-devel libcamel-1_2-52 libebackend-1_2-10
libebook-1_2-16 libebook-contacts-1_2-1 libecal-1_2-18 libedata-book-1_2-25
libedata-cal-1_2-27 libedataserver-1_2-20 libedataserverui-1_2-1
typelib-1_0-EBook-1_2 typelib-1_0-EBookContacts-1_2 typelib-1_0-EDataServer-1_2

- Update to version 3.16.4:
+ Use e_source_remove_sync() instead of
e_source_registry_server_remove_source().
+ ownCloud/Google backends - make sure discovered sources are
enabled.
+ Provide default implementation of
EBackend::authenticate_sync().
+ Do not add Google Tasks source for non-GOA master sources.
+ source_registry_server_monitor_changed_cb: Reuse existing
source.
+ addressbook: Treat an empty vCard attribute group name as NULL.
+ e_trust_prompt_run_for_source: Do not require Authentication
extension.
+ [ETrustPrompt] Ensure needed extensions for GOA/UOA sources.
+ [IMAPx] Set cache expiration for one week when not
sync-for-offline.
+ [Google backend] Claim Contacts and Tasks in populate().
+ Not able to select time in appointment/meeting for some
locales.
+ Bugs fixed: bgo#750427, bgo#676155, bgo#678901, bgo#750148,
bgo#247661, bgo#471791, bgo#751108, bgo#751005, bgo#751381,
bgo#751462, bgo#751329, bgo#751701, bgo#751769, bgo#750766,
bgo#685035, bgo#752049.

==== evolution-ews ====
Version update (3.16.3 -> 3.16.4)
Subpackages: evolution-ews-lang libeews-1_2-0 libewsutils0

- Update to version 3.16.4:
+ Remove unused variable.
+ configure.ac: Do not override localedir variable.
+ Use e_source_remove_sync() instead of
e_source_registry_server_remove_source().
+ Make sure collection child sources are enabled when created.
+ Differentiate between Unavailable and No response errors.
+ ews_dump_raw_soup_message: Check for non-NULL hdrs and body
arguments.
+ Bugs fixed: bgo#471791, bgo#751001, bgo#751547, bgo#751725.
- Drop evolution-ews-intltool-path.patch: Fixed upstream. Also drop
gnome-common BuildRequires and call to gnome-autogen.sh, as we do
not have any patches anymore. No longer delete po/Makefile*
either.

==== libexiv2-14 ====
Subpackages: libexiv2-devel

- Adjust RPM groups
- Put manpage in proper subpackage

==== expat ====
Subpackages: libexpat-devel libexpat1 libexpat1-32bit

- Cleanup spec file with spec-cleaner
- Remove old ppc obsoletes/provides

==== file ====
Version update (5.23 -> 5.24)
Subpackages: file-devel file-magic libmagic1

- Update to file version 5.24
* redo long option encoding to fix off-by-one in 5.23
- Adapt and rename patch
file-5.12-nitpick.dif becomes file-5.24-nitpick.dif

==== findutils ====

- add gnulib-perl522.patch from gnulib upstream

==== libstdc++6-gcc48-locale ====
Version update (4.8.3+r218481 -> 4.8.5)

- Update to GCC 4.8.5 release.
* Fixes bogus integer overflow in constant expression. [bnc#934689]
* Fixes ICE with atomics on aarch64. [bnc#930176]
- Add patch gcc48-pr66306.patch for reload issue on S390.
- Add patch to keep functions leaf when they are instrumented for
profiling on s390[x]. [bnc#899871]
- Add patch gcc48-bnc922534.patch to avoid accessing invalid memory
when passing aggregates by value. [bnc#922534]
- Add patch gcc48-s390x-keep-leaf-when-profiled.diff for
kgraft. [bnc #899871]
- Fix build against SLE11 SP4. [fate#317926]
* Build without GRAPHITE support where isl and cloog-isl are not
available.
* Where mpfr 2.4.0 is not available disable the few features
requiring it to allow building with mpfr 2.3.2,
gcc48-remove-mpfr-2.4.0-requirement.patch.
* Disable Ada build for ppc64.
- Build s390[x] with --with-tune=z9-109 --with-arch=z900 on SLE11
again. [bnc#927993]
- Remove obsolete libsanitizer-tsan-res-state.patch
- Update to gcc-4_8-branch head (r221715).
* Includes GCC 4.8.4 release.
* Includes fix for -imacros bug. [bnc#917169]
* Includes fix for incorrect -Warray-bounds warnings. [bnc#919274]
* Includes updated -mhotpatch for s390x. [bnc#924525]
* Includes fix for ppc64le issue with doubleword vector extract.
[bnc#924687]
- Add gcc48-bnc889990.patch to backport rework of the memory allocator
for C++ exceptions used in OOM situations. [bnc#889990]

==== cpp5 ====
Version update (5.1.1+r224716 -> 5.1.1+r225724)
Subpackages: gcc5 gcc5-c++ gcc5-fortran gcc5-info gcc5-locale gcc5-objc
libasan2 libatomic1 libcilkrts5 libgcc_s1 libgcc_s1-32bit libgfortran3 libgomp1
libitm1 liblsan0 libmpx0 libmpxwrappers0 libobjc4 libquadmath0 libstdc++6
libstdc++6-32bit libstdc++6-devel-gcc5 libtsan0 libubsan0

- Update to gcc-5-branch head (r225724).
* Includes GCC 5.2 RC2
- Adjust .changes file generation for optional compiler build.
- Update to gcc-5-branch head (r225500).
* Includes GCC 5.2 RC1
- Pack s390[x] vecintrin.h file.
- Adjust optional compiler setup to also build Ada and Go and keep
separate spec files for libffi and the testsuite.
- Add cross-m68k-gcc5
- Remove include-fixed/linux/vt.h as well.

==== gdb ====

- Remove auto-loading non-existent /etc/gdbinit.d/gdb-heap.py
from /etc/gdbinit
- Add guile-devel to enable Scheme scripting support
- Run ada tests also on ppc64 and s390

==== gdm ====
Version update (3.16.1.1 -> 3.16.2)
Subpackages: gdmflexiserver libgdm1 typelib-1_0-Gdm-1_0

- Update to version 3.16.2:
+ Add support for env.d directory (useful for xdg-app).
+ bsd fix ups.
+ Don't start dbus-daemon if kdbus is in charge.
+ Various crash fixes.
+ Updated translations.

==== gettext-runtime ====
Version update (0.19.4 -> 0.19.5.1)
Subpackages: gettext-tools

- GNU gettext 0.19.5.1:
* fix build on old platforms where stpcpy and stpncpy is missing
- GNU gettext 0.19.5:
* xgettext: feature to perform syntax checks on msgid, via
- -check option or "xgettext: " commentgs
* msgfilter, msgexec: new option --newline
* The base Unicode standard is now updated to 8.0.0.
* msginit is now capable of generating "Plural-Forms:" from
Unicode CLDR. Via GETTEXTCLDRDIR environment variable.
* Improved Programming languages support
* drop gettext-check-allocated-size-for-static-segment.patch,
is upstream

==== git ====
Version update (2.4.5 -> 2.4.6)
Subpackages: git-core git-cvs git-daemon git-email git-gui git-svn git-web gitk

- git 2.4.6:
* "git fetch --depth=<depth>" and "git clone --depth=<depth>"
issued a shallow transfer request even to an upload-pack that
does not support the capability.
* "git fsck" used to ignore missing or invalid objects recorded in
reflog.
* The tcsh completion writes a bash scriptlet but that would have
failed for users with noclobber set.
* "git format-patch --ignore-if-upstream A..B" did not like to be
fed tags as boundary commits.
- git-tcsh-completion-fixes.diff adjusted for context changes

==== gnome-shell ====
Version update (3.16.2 -> 3.16.3)
Subpackages: gnome-shell-browser-plugin gnome-shell-calendar gnome-shell-wayland

- Update to version 3.16.3:
+ Handle touch events in OSK on wayland (bgo#750287).
+ Bugs fixed: bgo#749383, bgo#749529, bgo#750714, bgo#751517,
bgo#751541.

==== gpg2 ====
Version update (2.1.5 -> 2.1.6)

- do not run checks on ppc64 for now
- GnuPG 2.1.6:
* agent: New option --verify for the PASSWD command.
* gpgsm: Add command option "offline" as an alternative to
- -disable-dirmngr.
* gpg: Do not prompt multiple times for a password in pinentry
loopback mode.
* Allow the use of debug category names with --debug.
* Using gpg-agent and gpg/gpgsm with different locales will now show
the correct translations in Pinentry.
* gpg: Improve speed of --list-sigs and --check-sigs.
* gpg: Make --list-options show-sig-subpackets work again.
* gpg: Fix an export problem for old keyrings with PGP-2 keys.
* scd: Support PIN-pads on more readers.
* dirmngr: Properly cleanup zombie LDAP helper processes and avoid
hangs on dirmngr shutdown.
* Various other bug fixes.
- remove documentation make workaround, fixed upstream
- Enable workaround for missing dependencies everywhere

==== gpm ====
Subpackages: libgpm2

- Make libgpm able to handle ncurses ABI 6

==== grep ====

- add gnulib-perl522.patch from gnulib.bugs

==== grub ====

- If compiled static the libdl is required

==== grub2 ====
Subpackages: grub2-i386-pc grub2-snapper-plugin grub2-x86_64-efi
grub2-x86_64-xen

- Replace 12.1 with 12 SP1 for the list of snapshots (bsc#934252)
* modified grub2-snapper-plugin.sh

==== gtk3-data ====
Version update (3.16.4 -> 3.16.5)
Subpackages: gtk3-devel gtk3-immodule-amharic gtk3-immodule-inuktitut
gtk3-immodule-thai gtk3-immodule-vietnamese gtk3-immodule-xim gtk3-tools
libgtk-3-0 typelib-1_0-Gtk-3_0

- Add gtk3-Revert-x11-Query-pointer-devices-scroll-valuators.patch:
Revert a commit as it makes hardware mouse-wheel scrolling
unreliable (bgo#752184).
- Update to version 3.16.5:
+ Fix ridge/groove border rendering.
+ GtkListBoxRow: propagate in the draw vfunc.
+ Bugs fixed: bgo#750489, bgo#750605, bgo#750690, bgo#750718,
bgo#750870, bgo#750888, bgo#750994, bgo#751018, bgo#751050,
bgo#751082, bgo#751227, bgo#751443, bgo#751739, bgo#751752,
bgo#751754.
+ Updated translations.

==== libgupnp-dlna-2_0-3 ====
Version update (0.10.2 -> 0.10.3)
Subpackages: libgupnp-dlna-backend-gstreamer

- Update to version 0.10.3:
+ Fix potential crash if gupnp_dlna_value_list_new failed.
+ Fix hang if no meta-data back-end is available.
+ Remove use of gnome-common, add compiler warnings and fix const
correctness.
+ Fix memory leak in gst-audio-information.
+ Fix unit tests for new automake
+ Make it possible to override the DLNA profile dir using
GUPNP_DLNA_PROFILE_DIR environment variable.
+ Fix discoverer testsuite to run completely uninstalled.
+ Fix gupnp-dlna-info -a to be stuck if profile guesser does not
work.
+ Bugs fixed: bgo#704096, bgo#707909, bgo#750929, bgo#751295,
bgo#751634.

==== gutenprint ====
Version update (5.2.10 -> 5.2.10pre11.1)

- Version upgrade to 5.2.10pre11.1 which is the
first pre-release of Gutenprint 5.2.11.
Major changes in this release:
* Initial support for Datamax-O'Neil label printers:
the Performance series and the Workstation printer.
* Support for additional dye sublimation printers,
and improvements, bug fixes for others.
* Support for additional Canon inkjet printers,
and bug fixes for others.
For details see the NEWS file.

==== hplip ====
Version update (3.15.4 -> 3.15.6)
Subpackages: hplip-hpijs hplip-sane

- hplip-3.15.6.CVE-2015-0839.patch uses 0xlong key ID
(instead of the short key ID) for downloading the key
see https://bugs.launchpad.net/hplip/+bug/1432516
(CVE-2015-0839 bsc#933191).
- Version upgrade to 3.15.6:
Added Support for the Following New Printers:
HP DeskJet 2130 All-in-One Printer series
HP DeskJet 2132 All-in-One Printer
HP Deskjet 2546B All-in-One Printer
HP Deskjet 2546P All-in-One Printer
HP Deskjet 2546R All-in-One Printer
HP DeskJet 3630 All-in-One Printer series
HP DeskJet 3632 All-in-One
HP Officejet 5744 e-All-in-One
Some bug fixes - in particular:
udev rules wrongly match on monitor hub, wrong invocation
of systemd unit, changes config files in udev rules
For details see
http://hplipopensource.com/hplip-web/release_notes.html
- change-udev-rules.diff: Adapted for HPLIP 3.15.6.

==== hylafax+ ====
Version update (5.5.5 -> 5.5.6)
Subpackages: hylafax+-client

- release 5.5.6
* add typerules suggestion for PNG conversion (19 Mar 2015)
* support more than 256 pages in Class 1 ECM (26 Feb 2015)
* cope with application/pdf being encoded with quoted-printable
in faxmail (13 Feb 2015)
* fix npages and totpages recording in sendq when proxied (31 Jan 2015)
* fix EOF reading fault on badly-formatted MIME in faxmail (12 Jan 2015)
* fix hi-res tagline imaging on 64-bit systems (10 Dec 2014)
* add support for seqf.increment files to indicate seqf
incrementation (14 Nov 2014)
* add support to faxmail to decode long-wrapped base64 (11, 14-15 Oct 2014)
* fix proxy setting of null taglines (16 Sep 2014)
* fix ModemWaitForConnect configuration setting (16 Sep 2014)
* add debug messages for the attempt to locate a suitable modem
for jobs (12 Aug 2014)
* fix missed data type for libtiff v4 (31 Jul, 11 Aug 2014)
* fix faxsend segfault caused by an empty TagLine field introduced in
alignment features added in 5.5.5 (25 Jul 2014)
* pass job priority to the proxy server (21 Jul 2014)
* add JobHostID feature (16, 29-31 Jul 2014)
* fix instances where a NULL return of crypt() is ignored (13 Jul 2014)
* improve support for utmpx on BSD (10 Jul 2014)
* apply some downstream patches from FreeBSD ports (10 Jul 2014)
* use ps2write in faxmail pdf converter if pswrite is missing (6 Jul 2014)
* modify FIFO usage and remove CONFIG_FIFOBUG and CONFIG_OPENFIFO (5 Jul 2014)

==== install-initrd-openSUSE ====
Version update (14.183 -> 14.190)

- don't srip ssl libs (bsc#938738)
- 14.190
- adjust to OBS api change
- 14.189
- keep most of initrd in a squashfs image also on s390x (bsc#937012)
- 14.188
- re-enable ltrace for aarch64
- Add Upgrade option for PowerPC
- 14.187
- ensure /dev/{u}random are where they are needed
- don't require ltrace on aarch64
- 14.186
- make net-tools-deprecated optional
- 14.185
- move snapper extension into regular root image (bsc#937243)
- add net-tools-deprecated (bsc#937121)
- 14.184

==== iproute2 ====
Version update (4.1 -> 4.1.1)

- Update to version 4.1.1:
* tipc: make build conditional on having libmnl.
* build: must honor pkg-config flags for libmnl.
* include: add copy of tipc.h.
* Fix MPLS support.
- Drop iproute2-tipc-headers.patch, iproute2-pkgconfig.diff
(fixed upstream)

==== iso-codes ====
Version update (3.57 -> 3.59)

- Update to version 3.59:
+ Updated translations for ISO 639, ISO 3166, ISO 639-3,
ISO 639-5, ISO 15924 and ISO 4217.
- Changes from version 3.58:
+ Update autotools files.
+ Updated translations for ISO 3166, ISO 3166-2, ISO 639,
ISO 639-3, ISO 639-5 and ISO 4217.

==== libjasper-devel ====
Subpackages: libjasper1 libjasper1-32bit

- Add jasper-jpc_dec.patch to fix failure when manipulating images
with 4 component color using reversible color translation
(deb#469786); patch taken from Fedora.

==== kdebase4-workspace-libs ====
Subpackages: python-kdebase4

- Add kdm-filter-out-btrfs-snapshots.patch: filter out btrfs snapshot
entries from the restart menu

==== kernel-default ====
Version update (4.1.1 -> 4.1.2)
Subpackages: kernel-default-devel

- Linux 4.1.2 (bnc#907092 bnc#934531).
- Delete patches.fixes/mmc-sdhci-fix-low-memory-corruption.patch.
- Delete
patches.fixes/x86-PCI-Use-host-bridge-_CRS-info-on-Foxconn-K8M890.
- Delete
patches.fixes/x86-PCI-Use-host-bridge-_CRS-info-on-systems-with-32.
- commit 5ccacb4

==== kernel-desktop ====
Version update (4.1.1 -> 4.1.2)
Subpackages: kernel-desktop-devel

- Linux 4.1.2 (bnc#907092 bnc#934531).
- Delete patches.fixes/mmc-sdhci-fix-low-memory-corruption.patch.
- Delete
patches.fixes/x86-PCI-Use-host-bridge-_CRS-info-on-Foxconn-K8M890.
- Delete
patches.fixes/x86-PCI-Use-host-bridge-_CRS-info-on-systems-with-32.
- commit 5ccacb4

==== kernel-docs ====
Version update (4.1.1 -> 4.1.2)

- Linux 4.1.2 (bnc#907092 bnc#934531).
- Delete patches.fixes/mmc-sdhci-fix-low-memory-corruption.patch.
- Delete
patches.fixes/x86-PCI-Use-host-bridge-_CRS-info-on-Foxconn-K8M890.
- Delete
patches.fixes/x86-PCI-Use-host-bridge-_CRS-info-on-systems-with-32.
- commit 5ccacb4

==== kernel-firmware ====
Version update (20150616git -> 20150715git)
Subpackages: ucode-amd

- Update to version 20150715git (commit 69640304) (boo#937628):
* Intel BT 8260 firmware
* Add firmware for Cavium LiquidIO 210NV, 210SV, and 410NV cards
* Audio firmware for Braswell
* qca: add BT firmware files to support QCA ROME chips
* cxgb4: Add BT adapter PHY firmware
* add firmware for atusb driver
* radeon: add firmware for VCE1.0 hardware
* iwlwifi: add new -13 firmware for iwlmvm devices
* i915 Skylake DMC/GuC firmwares

==== kernel-pv-devel ====
Version update (4.1.1 -> 4.1.2)

- Linux 4.1.2 (bnc#907092 bnc#934531).
- Delete patches.fixes/mmc-sdhci-fix-low-memory-corruption.patch.
- Delete
patches.fixes/x86-PCI-Use-host-bridge-_CRS-info-on-Foxconn-K8M890.
- Delete
patches.fixes/x86-PCI-Use-host-bridge-_CRS-info-on-systems-with-32.
- commit 5ccacb4

==== kernel-devel ====
Version update (4.1.1 -> 4.1.2)
Subpackages: kernel-macros kernel-source

- Linux 4.1.2 (bnc#907092 bnc#934531).
- Delete patches.fixes/mmc-sdhci-fix-low-memory-corruption.patch.
- Delete
patches.fixes/x86-PCI-Use-host-bridge-_CRS-info-on-Foxconn-K8M890.
- Delete
patches.fixes/x86-PCI-Use-host-bridge-_CRS-info-on-systems-with-32.
- commit 5ccacb4

==== kernel-syms ====
Version update (4.1.1 -> 4.1.2)

- Linux 4.1.2 (bnc#907092 bnc#934531).
- Delete patches.fixes/mmc-sdhci-fix-low-memory-corruption.patch.
- Delete
patches.fixes/x86-PCI-Use-host-bridge-_CRS-info-on-Foxconn-K8M890.
- Delete
patches.fixes/x86-PCI-Use-host-bridge-_CRS-info-on-systems-with-32.
- commit 5ccacb4

==== kernel-xen ====
Version update (4.1.1 -> 4.1.2)
Subpackages: kernel-xen-devel

- Linux 4.1.2 (bnc#907092 bnc#934531).
- Delete patches.fixes/mmc-sdhci-fix-low-memory-corruption.patch.
- Delete
patches.fixes/x86-PCI-Use-host-bridge-_CRS-info-on-Foxconn-K8M890.
- Delete
patches.fixes/x86-PCI-Use-host-bridge-_CRS-info-on-systems-with-32.
- commit 5ccacb4

==== kfilemetadata5 ====
Subpackages: kfilemetadata5-devel

- No poppler-qt5 in Leap 42, do not build with it on 42 and SLE

==== khtml-devel ====
Version update (5.11.0 -> 5.12.0)
Subpackages: libKF5KHtml5

- Update to 5.12.0
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.12.0.php

==== kiwi ====
Version update (7.02.57 -> 7.03.5)
Subpackages: kiwi-desc-isoboot kiwi-desc-netboot kiwi-desc-oemboot
kiwi-desc-vmxboot kiwi-doc kiwi-media-requires kiwi-pxeboot kiwi-templates
kiwi-tools

- v7.03.5 released
- Use by-uuid device names for livestick tool
- DB: rebuild documentation
- Added __checkImageIncludeApplicable runtime check
The imageinclude attribute is currently not supported with all
URI types. Therefore we test if the repo URL uses obs|iso and
provide a message to the user. If we want to support this in the
future for obs URI types the imageinclude feature has to auto
map the obs URI into the correct http URI which will only work
for repositories in the public part of the open buildservice
This Fixes #472
- v7.03.4 released
- Fixed createOVFConfiguration
Make sure destination directory exists prior to moving data
- Increase fsoverhead for btrfs
- v7.03.3 released
- Follow up Fix for grub2 setup on btrfs
Only if no bootpartition is used and a volume setup exists
it's required to adapt the boot path with the initial '@'
subvolume
- Update examples, don't use clicfs
- v7.03.2 released
- DB: rebuild documentation
- v7.03.1 released
- DB: rebuild documentation
- Editorial review Chapter 19-20
- Editorial review Chapter 16
- Fixed __checkPreferencesDefinition runtime check
The check for the uniqueness of the profile name is based on
a regular expression. However the expression matches a subset
of names which causes 'foo' and 'foofoo' to be triggered as
the same name
- Update SLE12 JeOS
Added Xen HVM type setup to be referenced in the documentation
Deleted ec2 image build. This will eventually become a new chapter
referencing the images as we build it in the buildservice later
- Editorial review Chapter 17
EC2 documentation deleted, this chapter needs a rewrite
with regards to tools developed in the public cloud
development team. I would also not mention any sequence
to support s3 baked images, we should focus on EBS
baked images
- v7.02.58 released
- Add uuid support in createFilesystem for btrfs
- Update documentation structure for DAPS
DAPS is the toolkit used in the documentation department to
build, validate and submit documentation. The kiwi documentation
will be integrated into the SUSE documentation department
and therefore the structure in the source repository needs
to be compatible with the SUSE documentation process
- Fixed custom image size use
Allow use of the custom image size even if it is smaller than
the kiwi calculated one. Especially for the btrfs filesystem
the calculation is sometimes not accurate enough
- Fixed shell variable quoting in compare statements
- Prevent createHybridPersistent waiting for devs
Check if the write partition creation returns success before
waiting for the expected device to become created. This prevents
a long wait period on a device which never will come up if the
partition could not be created. This Fixes #466
- Fixed legacy grub install for install stick images
Installing legacy grub can happen using the image grub or the
build host grub. However for install stick disks there is no
grub in the install image even if it is present in the system
image the stick installs. Therefore the host installed grub
should be used as a fallback. This Fixes #471
- Changed search for boot from hardisk for efi
Instead of looking for a fixed partition id, let grub2
search for the EFI label
- Fixed RHEL 6 JeOS template
default bootloader for this distribution is grub not grub2

==== kwin5 ====
Subpackages: kwin5-devel

- Added geometry_fix.diff: fixes a resizing bug, see
kde#348640 and also helps with
https://github.com/Flupp/sticky-window-snapping/issues/1

==== laptop-mode-tools ====

- Make it build without pm-utils

==== lensfun-data ====
Subpackages: lensfun-devel lensfun-doc liblensfun0

- Fixup RPM groups and incorrect buildrequires. Use simpler
download URL. data does not hard-depend on shared library.

==== libass5 ====
Version update (0.12.1 -> 0.12.3)

- Update to 0.12.3
* VSFilter blur compatibility changes
* VSFilter color/alpha parsing compatibility changes
* Bugfixes
+ Fix some potential memory leaks and crashes
+ Fix large timestamps (larger than about 600 hours)
+ Fix a potential crash with the new rasterizer and complex
fonts
+ Do not apply user-configured line position to non-dialog
events
+ Strictly clip non-dialog events to the video rectangle
- Changes for 0.12.2
* Add extern "C" guards to the public headers for C++
compatibility
* Improvements to style override API and implementation
* Bugfixes
+ Fix some rasterizer bugs of unknown severity
+ Fix a broken memset() of unknown severity
+ Make timestamp parsing more lenient, which makes libass
accept invalid
+ files accepted by most other ASS parsers
+ Increase compatibility with broken ASS drawings accepted by
VSFilter

==== libffi-devel-gcc5 ====
Version update (5.1.1+r224716 -> 5.1.1+r225724)
Subpackages: libffi4 libffi4-32bit

- Update to gcc-5-branch head (r225724).
* Includes GCC 5.2 RC2
- Adjust .changes file generation for optional compiler build.
- Update to gcc-5-branch head (r225500).
* Includes GCC 5.2 RC1
- Pack s390[x] vecintrin.h file.
- Adjust optional compiler setup to also build Ada and Go and keep
separate spec files for libffi and the testsuite.
- Add cross-m68k-gcc5
- Remove include-fixed/linux/vt.h as well.

==== gcc5-gij ====
Version update (5.1.1+r224716 -> 5.1.1+r225724)
Subpackages: gcc5-java libgcj-devel-gcc5 libgcj-gcc5 libgcj-jar-gcc5 libgcj_bc1

- Update to gcc-5-branch head (r225724).
* Includes GCC 5.2 RC2
- Adjust .changes file generation for optional compiler build.
- Update to gcc-5-branch head (r225500).
* Includes GCC 5.2 RC1
- Pack s390[x] vecintrin.h file.
- Adjust optional compiler setup to also build Ada and Go and keep
separate spec files for libffi and the testsuite.
- Add cross-m68k-gcc5
- Remove include-fixed/linux/vt.h as well.

==== libgphoto2-6 ====
Version update (2.5.7 -> 2.5.8)
Subpackages: libgphoto2-devel

- updated to 2.5.8 release
- all:
* Missing COPYRIGHT headers added.
* Bug fixes for issues detected by Coverity.
- ptp2:
* Canon Powershot/IXUS CHDK support
Install the CHDK firmware and then use "gphoto2 --set-config chdk=On" to
enable.
* Canon EOS: Implemented new capture method for new Canon EOS to avoid hangs.
* Canon EOS: New configuration variable: continuousaf
* Canon EOS: event output for focusinfo / focusmask
* Nikon DSLR: New configuration variables: movieiso, movieshutterspeed,
moviehighisonr
* Nikon Coolpix A: also manually add override opcodes for capture (please
report if it works)
* New USB ids:
Sony: DSC-HX60V, Alpha-A7S, Alpha-A77 M2, Alpha A5100
Panasonic: DMC-LS2
Canon EOS 7D Mark II, Canon EOS M3
Canon Powershot SX520 HS
Fuji Fujifilm X-E2
Samsung NX1
* Media Player IDs synced with the libmtp ID database.
* Lots of bugfixes.
- libgphoto2_port/libusb1:
* Prefer libusb1 over libusb0 if both are present.
* Asynchronous interrupt handling, to avoid losing usb interrupts during other
operations.
- libgphoto2.keyring: replaced by my new 4096 bit key

==== libidn-devel ====
Version update (1.30 -> 1.31)
Subpackages: libidn11 libidn11-32bit

- Add Apache-2.0 license to the license line. Under this is the
java code, but we don't build it -> just the sources license
- Version bump to 1.31:
* Fixes bnc#923241 CVE-2015-2059 out-of-bounds read with stringprep on
invalid UTF-8
* Few other triv changes

==== libinput-devel ====
Version update (0.18 -> 0.20)
Subpackages: libinput-udev libinput10

- Update to version 0.20.0:
* The big new addition in this release is support for touchpad
gestures. Two types of gestures are supported: swipe and pinch.
Swipe is triggered by a movement of 3+ fingers in the same
direction, pinch is triggered by two fingers moving towards or
away from each other and/or a rotation around a logical center.
Both gestures, once triggered, can move around the touchpad,
making it possible to use them for fine-grained motion.
* Edge scrolling is now possible on clickpads too and thus available
on all touchpads. Thumb detection was added, it is now possible
to rest the thumb on a clickpad while moving a pointer without
interference
* libinput now requires touchpads to have a resolution. If the
kernel device does not set it and none of the hwdb rules do either,
libinput assigns a default resolution to the device. This may have
an effect on your touchpad, please file a bug if you notice
anything untoward. On the positive side it removes the magic
numbers sprinkled through the code
- Update to version 0.19.0:
* The biggest change in this release is improved pointer
acceleration code. Previously, slow movements were decelerated.
For anything resembling normal motion the pointer response is
effectively 1:1, making the cursor respond nicely to your mouse
movement.
* Low-dpi devices had a bug where they would skip pixels for
small movements. This was caused by the pointer normalization
to 1000dpi. Devices with a native resolution below 1000dpi now
have their own acceleration curve, providing much better
behaviour.
* The side-effect of this is that we had to drop the pretense of
normalization to 1000dpi. The documentation has been adjusted.
* The second side-effect is that the unaccelerated data is now
closer (or equal) to the device native resolution.
* The second user-visible change is disabling of tap drag-lock by
default. A new config API triplett is available to enable it:
libinput_device_config_tap_set_drag_lock_enabled
libinput_device_config_tap_get_drag_lock_enabled
libinput_device_config_tap_get_default_drag_lock_enabled
* Other fixes include better responsiveness of the touchpad when
switching from the trackpoint to the touchpad and a smaller
edge scroll motion threshold. And of course the usual bugfixes.

==== liblangtag1 ====
Version update (0.5.4 -> 0.5.7)

- Version bump to 0.5.7:
* Tons of fixes between 0.5.4 and this release. Read NEWS file

==== libmicrohttpd10 ====
Version update (0.9.41 -> 0.9.42)

- fux build for SLES11:
* explicitly require libgnutls-devel in -devel package
- fix build for SLES11:
* update disable-stalling-test.patch: Instead of disabling testcase
in Makefile disable testcases in code, this could be even better
we can disable only broken test but not the whole testcase.
* add libmicrohttpd_test_session.patch: Disable test relying on
available libcurl version
(see https://gnunet.org/bugs/view.php?id=3893 for details)
* wrap libmicrosdpy into macro to disable building on
systems with openssl < 1.0.1
- update to 0.9.42:
* fix off-by-one in MHD_start_daemon_va() error handling logic
* fix #3784: actually implement MHD_CONNECTION_INFO_SOCKET_CONTEXT

==== libmpcdec-devel ====
Subpackages: libmpcdec5

- Add baselibs.conf as source
- Update source url
- Explicitly depend on autoconf/automake
- Cleanup spec file with spec-clener

==== libpipeline1 ====

- Add gpg signature
- Cleanup spec file with spec-cleaner
- Add missing dependency on pkg-config

==== libproxy-devel ====
Subpackages: libproxy1

- Add libproxy-pxgsettings-signals.patch: Fix for pxgsettins not
actively monitoring gsetting changes. Due to recent changes in
GLib, only values are being monitored, that are read AFTER the
signal handler is attached.
- Adjust baselibs.conf to match what is currenly being built.

==== libproxy1-config-gnome3 ====
Subpackages: libproxy1-config-kde4 libproxy1-networkmanager
libproxy1-pacrunner-webkit

- Add libproxy-pxgsettings-signals.patch: Fix for pxgsettins not
actively monitoring gsetting changes. Due to recent changes in
GLib, only values are being monitored, that are read AFTER the
signal handler is attached.
- Adjust baselibs.conf to match what is currenly being built.

==== libtirpc1 ====

- Add 012-xp_sock.patch: add sunrpc compatibility define
- Update 009-authdes_pk_create.patch (fix syncaddr handling)
- Add 011-authdes_create.patch (fix syncaddr handling)
- Add 010-xdr_sizeof.patch (enable xdr_sizeof)
- Add 009-authdes_pk_create.patch (missing SunRPC compat function)

==== libunistring2 ====
Version update (0.9.5 -> 0.9.6)

- GNU libunistring 0.9.6:
* The data tables and line breaking algorithm have been updated
to Unicode version 8.0.0.
- add keyring and verify source signature
- fix SLE 11 SP3 build

==== libunwind ====

- Add patch for bnc#936786 CVE-2015-3239, off by one:
* libunwind-CVE-2015-3239.patch

==== libusb-0_1-4 ====
Subpackages: libusb-compat-devel

- Fix libusb-compat-hide-libusb-1_0.patch: Ensure that inline
functions inside libusb-1.0/libusb.h use wrapped calls.
It should fix all triggered build failures.

==== libyui6 ====
Version update (3.1.5 -> 3.2.0)

- Added YApplication::openUI/closeUI (boo#937026)
- 3.2.0

==== libyui-ncurses6 ====
Version update (2.46.10 -> 2.47.0)

- Added NCApplication::openUI/closeUI (boo#937026).
- 2.47.0

==== libyui-ncurses-pkg6 ====
Version update (2.46.2 -> 2.47.0)

- Added option "Dependencies/Install Recommended Packages",
(PKGMGR_RECOMMENDED) (boo#900853).
- Changed "Dependencies/Install Recommeded Packages for Already
Installed Packages" from an option to a command (boo#902394).
- 2.47.0

==== linux-glibc-devel ====
Version update (4.0 -> 4.1)

- Update to kernel headers 4.1

==== liblua5_2 ====

- macros.lua52 installs to lua52-devel package
- build with LUA_COMPAT_MODULE to compatible w/ old module system

==== makedumpfile ====

- makedumpfile-add-aarch64.diff: Add support for aarch64
This patch should be oboslet when switching to 1.5.9

==== libmysqlclient-devel ====
Version update (10.0.17 -> 10.0.20)
Subpackages: libmysqlclient18 libmysqlclient18-32bit libmysqlclient_r18
libmysqld18 mariadb mariadb-client mariadb-errormessages

- Sync to git state, fixes bnc#937754 too
- Sync to git state fixing few triv issues
- Enable testsuite
- Update to 10.0.20:
https://mariadb.com/kb/en/mariadb/mariadb-10020-release-notes/
* Fixes bnc#934789 Logjam Attack using 512bit dh groups in ssl
- Sync the package to git state, redoing initscripts to be more
robust
- Update to 10.0.19, sync to git state of repository:
https://mariadb.com/kb/en/mariadb/mariadb-10019-release-notes/

==== libmozjs-17_0 ====

- add aarch64-64k-page.patch: Fix crash on 64kb kernels
- update mozjs-aarch64-support.patch: More fixes for aarch64
- no_defined_array.patch: fix milestone.pl to work with perl-5.22

==== libmozjs-24 ====

- added baselibs.conf as Source
- no_defined_array.patch: fix milestone.pl to work with perl-5.22

==== libmutter0 ====
Version update (3.16.2 -> 3.16.3)
Subpackages: mutter mutter-data typelib-1_0-Meta-3_0

- Update to version 3.16.3:
+ Fix kill dialog not showing when first PING fails (bgo#749076).
+ wayland: Reset idle time appropriately (bgo#749711,
bgo#749994).
+ Fix crash when trying to focus a hidden window (bgo#751715).
+ Updated translations.

==== libsnmp30 ====
Subpackages: net-snmp net-snmp-devel perl-SNMP snmp-mibs

- update to upstream version 5.7.3
- remove patch that is now present in the upstream release:
* net-snmp-5.7.2-fix-snmptrapd-remote-denial-of-service.patch
- rename patches to new version number 5.7.3:
delete:
* net-snmp-5.7.2-fix-snmpd-crashing-when-an-agentx-disconnects.patch
* net-snmp-5.7.2-net-snmp-config-headercheck.patch
* net-snmp-5.7.2-perl-tk-warning.patch
* net-snmp-5.7.2-pie.patch
* net-snmp-5.7.2-socket-path.patch
* net-snmp-5.7.2-testing-empty-arptable.patch
* net-snmp-5.7.2-velocity-mib.patch
add:
* net-snmp-5.7.3-fix-snmpd-crashing-when-an-agentx-disconnects.patch
* net-snmp-5.7.3-net-snmp-config-headercheck.patch
* net-snmp-5.7.3-perl-tk-warning.patch
* net-snmp-5.7.3-pie.patch
* net-snmp-5.7.3-socket-path.patch
* net-snmp-5.7.3-testing-empty-arptable.patch
* net-snmp-5.7.3-velocity-mib.patch
- add build requirement 'procps' to fix a net-snmp-config error
(bsc#935863)
- enable DTLS and TLS support (FATE#318789)
new binary 'snmptls' was added
- add support for hostname netgroups (FATE#316305)
'@hostgroup' can be specified for multiple hosts
* net-snmp-5.7.3-netgroups.patch
- suppress network statistics output in snmpstatus (FATE#316289)
'-Sn' don't print any info about the network
'-Si' don't print the operational status of network interfaces
* net-snmp-5.7.3-snmpstatus-suppress-output.patch

==== nfs-client ====
Version update (1.3.0 -> 1.3.1)
Subpackages: nfs-doc nfs-kernel-server

- fix bashisms in pre/post scripts
- new upstream nfs-utils-1.3.1
This brings numerous fixes, particularly to gssd and
nfsdcltrack. It incorporates all the upstreamable
patches we had:
- Delete nfsdcltrack.sbin.patch
- Delete start-statd.patch
- 0001-nfs-client.target-Removed-a-ordering-cycle-with-nfs-.patch
0002-Centralize-dependencies-on-the-auth-unit.patch
Patches from 1.3.2-rc, which look useful
- Convert from /etc/init.d startup scripts to full
systemd integration.
The upstream standard names are "nfs-client" and "nfs-server"
rather than "nfs" and "nfsserver", so local "nfs" "nfsserver"
aliases are created and "rcXXX" links are provided for all 4.

==== obs-service-format_spec_file ====
Version update (20150121 -> 20150716)

- update licenses
- add readd-exceptions.patch to readd licenses we use
- Fix build for Debian 7.0/8.0
- Use install target from Makefile

==== obs-service-source_validator ====
Version update (0.5+git20150611.b85a5d4 -> 0.5+git20150622.3c3fa65)

- Add debian.dsc
- Use install target from Makefile
- Update to version 0.5+git20150622.3c3fa65:
+ Add install target to Makefile
+ Debianization

==== liborc-0_4-0 ====
Version update (0.4.23 -> 0.4.24)

- Update to version 0.4.24:
+ Only reuse constants of the same size and value.
+ Fix reading of .orc files with Windows line endings on Windows.
+ Fix out of bounds array access in the tests.
+ Remove duplicate code path in orcc.
+ Put a limit to the memcpy test.
+ Fix mmap leak on error path.

==== pam ====
Version update (1.2.0 -> 1.2.1)
Subpackages: pam-32bit pam-devel

- Update to version 1.2.1
- security update for CVE-2015-3238

==== patchutils ====
Version update (0.3.3 -> 0.3.4)

- Update to 0.3.4
* Some fixes for filterdiff and rediff.
* The splitdiff utility now has an option to write output to a
subdirectory.
* Ranges can now be prefixed by a modifier ('x') to exclude spans
instead of include them.
* Extended headers produced by git are now handled by filterdiff
and interdiff.
- remove overrun.diff (upstream has the fix already)
- remove autoconf part from spec file as tarball is generated with
new enough versions
- install man pages manually
- add signature file

==== perl-Bootloader ====
Version update (0.838 -> 0.839)
Subpackages: perl-Bootloader-YAML

- do not escape empty string as it lead to invalid kernel command line
(bsc#937806)
- 0.839

==== perl-Config-IniFiles ====
Version update (2.87 -> 2.88)

- updated to 2.88
see /usr/share/doc/packages/perl-Config-IniFiles/Changes

==== perl-Glib ====
Version update (1.310 -> 1.312)

- Update to 1.312 (changes since 1.310):
* Fix Glib::Variant::classify on big-endian machines.
* Fix incorrect version in Glib::GenPod.

==== perl-HTTP-Message ====
Version update (6.06 -> 6.08)

- updated to 6.08
see /usr/share/doc/packages/perl-HTTP-Message/Changes
Revision history for HTTP-Message
6.08 2015-07-10
- Resolve new uninitialized warning from
HTTP::Request::Common::request_type_with_data (RT#105787)
6.07 2015-07-09
- Allow subclasses to override the class of parts - it used to be
hardcoded to HTTP::Message. (Gisle Aas, RT#79239)
- Added support for is_client_error, is_server_error to HTTP::Response
(Karen Etheridge)
- Added flatten interface to HTTP::Headers (Tokuhiro Matsuno, GH#5)
- Allow PUT to pass content data via hashrefs just like with POST (Michael
Schilli, GH#9)
- Fix for "Content-Encoding: none" header (Gisle Aas, RT#94882)
- Add support for HTTP status 308, defined in RFC 7238 (Olivier Mengué,
RT#104102)
- drop the use of "use vars" (Karen Etheridge)

==== perl-IO-Socket-SSL ====

- add perl-IO-Socket-SSL_fix_offline.patch to fix build in OBS with
updated perl

==== perl-Mail-SPF ====
Version update (2.008 -> 2.9.0)

- .spec file: added %{_sbindir}/spfd to %files section
- updated to 2.9.0
see /usr/share/doc/packages/perl-Mail-SPF/CHANGES
- -- 2.009 (2013-07-21 03:30)
Mail::SPF:
* Default to querying only TXT type RRs (query_rr_types = Mail::SPF::Server->
query_rr_type_txt). Experience has shown that querying SPF type RRs is
impractical.

==== perl-Params-Validate ====
Version update (1.20 -> 1.21)

- updated to 1.21
see /usr/share/doc/packages/perl-Params-Validate/Changes
1.21 2015-07-18
- Attribute::Params::Validate is now in its own distro, and needs a new
maintainer. If you would like to maintain it, please contact me.

==== perl-Test-Pod ====
Version update (1.50 -> 1.51)

- updated to 1.51
see /usr/share/doc/packages/perl-Test-Pod/Changes
1.51 2015-07-04 20:36:53Z
* convert tooling from Module::Build to ExtUtils::MakeMaker (resolves
circular dependency with MB on perl 5.21+)

==== apache2-mod_php5 ====
Version update (5.6.10 -> 5.6.11)
Subpackages: php5 php5-bcmath php5-bz2 php5-calendar php5-ctype php5-curl
php5-dba php5-devel php5-dom php5-exif php5-fastcgi php5-ftp php5-gd
php5-gettext php5-gmp php5-iconv php5-imap php5-json php5-ldap php5-mbstring
php5-mcrypt php5-mysql php5-odbc php5-openssl php5-pdo php5-pear php5-pgsql
php5-shmop php5-snmp php5-sockets php5-sqlite php5-suhosin php5-sysvsem
php5-sysvshm php5-tidy php5-tokenizer php5-wddx php5-xmlreader php5-xmlwriter
php5-xsl php5-zip php5-zlib

- updated suhosin extension to 0.9.38
- removed code compatibility for PHP <5.4
- allow https location for suhosin.filter.action
- fixed newline detection for suhosin.mail.protect
- Added suhosin.upload.max_newlines to protect againt DOS attack
via many MIME headers in RFC1867 uploads (CVE-2015-4024)
- mail related test cases now work on linux
- Relaxed array index blacklist (removed '-') due to wordpress
incompatibility
- Added SQL injection protection for Mysqli and several test
cases
- Added SQL injection protection for Mysqli and several test cases
- Added wildcard matching for SQL username
- Added check for SQL username to only contain valid characters
(>= ASCII 32)
- Test cases for user_prefix and user_postfix
- Added experimental PDO support
- SQL checks other than mysql (Mysqli + old-style) must be
enabled with configure --enable-suhosin-experimental, e.g. MSSQL.
- disallow_ws now matches all single-byte whitespace characters
- remove_binary and disallow_binary now optionally allow UTF-8.
- Introduced suhosin.upload.allow_utf8 (experimental)
- Reimplemented suhosin_get_raw_cookies()
- Fixed potential segfault for disable_display_errors=fail
(only on ARM)
- Fixed potential NULL-pointer dereference with func.blacklist
and logging
- Logging timestamps are localtime instead of gmt now
(thanks to mkrokos)
- Added new array index filter (character whitelist/blacklist)
- Set default array index blacklist to '"+-<>;()
- Added option to suppress date/time for suhosin file logging
(suhosin.log.file.time=0)
- Added simple script to create binary Debian package
- Fixed additional recursion problems with session handler
- Suhosin now depends on php_session.h instead of version-specific
struct code
- updated to 5.6.11: Five security-related issues in PHP were fixed
in this release, including CVE-2015-3152.

==== pinentry ====
Version update (0.9.4 -> 0.9.5)
Subpackages: pinentry-gtk2 pinentry-qt4

- pinentry 0.9.5:
* Replaced the internal Assuan and gpg-error code by the standard
libassuan and libgpg-error libraries.
* Add a new Emacs pinentry and use as fallback for GUI programs.
* gnome3: The use-password-manager checkbox does now work.
* Gtk: Improved fallback to curses feature.
* curses: Recognize DEL as backspace.

==== libprocps4 ====
Subpackages: procps

- Make it build with every ncurses library ABI

==== python-pyOpenSSL ====

- Fix building on SLES 11

==== python-pyasn1 ====
Version update (0.1.7 -> 0.1.8)

- updated to upstrean release 0.1.8
- ObjectIdentifier codec fixed to work properly with arc 0 and arc 2 values.
- Explicit limit on ObjectIdentifier arc value size removed.
- Unicode initializer support added to OctetString type and derivatives.
- New prettyPrintType() abstract method implemented to base pyasn1 types
to facilitate encoding errors analisys.
- The __str__() method implemented to Tag, TagSet and TagMap classes to
ease encoding errors troubleshooting.
easing encoding errors
- Fix to SEQUENCE and SET types to give them their private componentTypes
collection (which is a NamedTypes object) so that they won't collide in
a MT execution environment.
- Missing T61String,ISO646String character types and ObjectDescriptor useful
type added.
- Distribute is gone, switched to setuptools completely.
- Missing NamedValues.__repr__() added.
- The base.NoValue() class, that indicates uninitialized ASN.1 object,
made public.
- The base.NoValue() class instances now support __repr__() what makes
possible to perform repr() on uninitialized pyasn1 types objects.
- When comparing ASN.1 types, by-tag and/or by-constraints matching
can now be performed with the isSuperTypeOf()/isSameTypeWith() optional
flags.
- Constructed types now verify their consistency by invoking
isSameTypeWith(matchTags=True, matchConstraints=False) and
isSuperTypeOf(matchTags=False, matchConstraints=True) for each of their
components rather than isSuperTypeOf() as it used to be. Constriants check
could be enforced to isSameTypeWith() with the strictConstraints=True
constructed classes attribute.
- Constructed types can now be initialized with new .setComponents() method
which accepts both var-args and keyword-args. Default repr() modified to
reflect this change.
- NamedTypes() and NamedValues() made comparable.
- Test coverage extended to cover pyasn1 types __repr__() function.
- The abs(Integer()) & abs(Real()) operation now returns respective pyasn1
type, not a Python type.
- More Python magic methods implementations added to Integer & Real classes
(e.g. __pos__, __neg__, __round__, __floor__, __ceil__, __trunc__)
- The Integer.__invert__ Python magic method implemented.
- The OctetString.__int__() and .__float__() magic methods implemented.
- Handle the case of null writer at Debug printer.
- BitString encoder/decoder performance improved.
- Built-in debugging is now based on Python logging module.
- Fix to NamedType.__repr__() to work properly.
- Fixes to __repr__() implementation of many built-in ASN.1 types to take into
account all of their initializers such as tagSet, subtypeSpec etc.
- String typed float initializer to REAL type now supported.
- Float typed mantissa initializer to REAL type for base 2 added.
- Encoding bases 8 and 16 support for REAL type binary encoder added.
- More strict CER/DER encoders added for GeneralizedTime and UTCTime types.
- Asn1Item.hasValue() added to easily distinguish initalized ASN.1 objects
from uninitialized ones (e.g. pure types).
- Fix to REAL type binary decoder to handle different bases and scale factor.
- Fix to TagSet.repr() to include [obsolete] baseTag information.
- Fix to broken REAL type decoding handling.
- Fix to BitString and OctetString decoders dealing with constructed
encoding -- it used to be possible to embed other types in substrate.
- Fix to end-of-octest sentinel handling:
* require strict two-zeros sentinel encoding
* recognize EOO sentinel only when explicitly requested by caller
of the decoder via allowEoo=True parameter (warning: API change)
- DER codec hardened not to tolerate indefinite length encoding/decoding.

==== python3-pip ====
Version update (6.0.8 -> 7.1.0)

- update to version 7.1.0:
* Allow constraining versions globally without having to know
exactly what will be installed by the pip command. #2731.
* Accept --no-binary and --only-binary via pip.conf. :issue`2867`.
* Allow --allow-all-external within a requirements file.
* Fixed an issue where --user could not be used when --prefix was
used in a distutils configuration file.
* Fixed an issue where the SOABI tags were not correctly being
generated on Python 3.5.
* Fixed an issue where we were advising windows users to upgrade by
directly executing pip, when that would always fail on Windows.
* Allow ~ to be expanded within a cache directory in all situations.
- specfile:
* fixed pythonpath for tests
- update to version 7.0.3:
* Fixed a regression where --no-cache-dir would raise an exception,
fixes #2855.
- changes from version 7.0.2:
* BACKWARD INCOMPATIBLE Revert the change (released in v7.0.0) that
required quoting in requirements files around specifiers
containing environment markers. (PR #2841)
* BACKWARD INCOMPATIBLE Revert the accidental introduction of
support for options interleaved with requirements, version
specifiers etc in requirements files. (PR #2841)
* Expand ~ in the cache directory when caching wheels, fixes #2816.
* Use python -m pip instead of pip when recommending an upgrade
command to Windows users.
- changes from version 7.0.1:
* Don't build and cache wheels for non-editable installations from
VCSs.
* Allow --allow-all-external inside of a requirements.txt file,
fixing a regression in 7.0.
- changes from version 7.0.0:
* BACKWARD INCOMPATIBLE Removed the deprecated --mirror,
- -use-mirrors, and -M options.
* BACKWARD INCOMPATIBLE Removed the deprecated zip and unzip
commands.
* BACKWARD INCOMPATIBLE Removed the deprecated --no-install and
- -no-download options.
* BACKWARD INCOMPATIBLE No longer implicitly support an insecure
origin origin, and instead require insecure origins be explicitly
trusted with the --trusted-host option.
* BACKWARD INCOMPATIBLE Removed the deprecated link scraping that
attempted to parse HTML comments for a specially formatted
comment.
* BACKWARD INCOMPATIBLE Requirements in requirements files
containing markers must now be quoted due to parser changes from
(PR #2697) and (PR #2725). For example, use "SomeProject;
python_version < '2.7'", not simply SomeProject; python_version <
'2.7'
* Ignores bz2 archives if Python wasn't compiled with bz2
support. Fixes #497
* Support --install-option and --global-option per requirement in
requirement files (PR #2537)
* Build Wheels prior to installing from sdist, caching them in the
pip cache directory to speed up subsequent installs. (PR #2618)
* Allow fine grained control over the use of wheels and source
builds. (PR #2699)
* --no-use-wheel and --use-wheel are deprecated in favour of new
options --no-binary and --only-binary. The equivalent of
- -no-use-wheel is --no-binary=:all:. (PR #2699)
* The use of --install-option, --global-option or --build-option
disable the use of wheels, and the autobuilding of wheels. (PR
[#2711]) Fixes #2677
* Improve logging when a requirement marker doesn't match your
environment (PR #2735)
* Removed the temporary modifications (that began in pip v1.4 when
distribute and setuptools merged) that allowed distribute to be
considered a conflict to setuptools. pip install -U setuptools
will no longer upgrade "distribute" to "setuptools". Instead, use
pip install -U distribute (PR #2767).
* Only display a warning to upgrade pip when the newest version is a
final release and it is not a post release of the version we
already have installed (PR #2766).
* Display a warning when attempting to access a repository that uses
HTTPS when we don't have Python compiled with SSL support (PR
[#2761]).
* Allowing using extras when installing from a file path without
requiring the use of an editable (:pull`2785`).
* Fix an infinite loop when the cache directory is stored on a file
system which does not support hard links (PR #2796).
* Remove the implicit debug log that was written on every
invocation, instead users will need to use --log if they wish to
have one (PR #2798).
- changes from version 6.1.1:
* No longer ignore dependencies which have been added to the
standard library, instead continue to install them.
- changes from version 6.1.0:
* Fixes #2502. Upgrades were failing when no potential links were
found for dependencies other than the current installation. (PR
[#2538])
* Use a smoother progress bar when the terminal is capable of
handling it, otherwise fallback to the original ASCII based
progress bar.
* Display much less output when pip install succeeds, because on
success, users probably don't care about all the nitty gritty
details of compiling and installing. When pip install fails,
display the failed install output once instead of twice, because
once is enough. (PR #2487)
* Upgrade the bundled copy of requests to 2.6.0, fixing
CVE-2015-2296.
* Display format of latest package when using pip list
- -outdated. (PR #2475)
* Don't use pywin32 as ctypes should always be available on Windows,
using pywin32 prevented uninstallation of pywin32 on Windows. (PR
[#2467])
* Normalize the --wheel-dir option, expanding out constructs such as
~ when used (PR #2441).
* Display a warning when an undefined extra has been requested. (PR
[#2142])
* Speed up installing a directory in certain cases by creating a
sdist instead of copying the entire directory. (PR #2535)
* Don't follow symlinks when uninstalling files (PR #2552)
* Upgrade the bundled copy of cachecontrol from 0.11.1 to
0.11.2. Fixes #2481 (PR #2595)
* Attempt to more smartly choose the order of installation to try
and install dependencies before the projects that depend on
them. (PR #2616)
* Skip trying to install libraries which are part of the standard
library. (PR #2636, PR #2602)
* Support arch specific wheels that are not tied to a specific
Python ABI. (PR #2561)
* Output warnings and errors to stderr instead of stdout. (PR #2543)
* Adjust the cache dir file checks to only check ownership if the
effective user is root. (PR #2396)
* Install headers into a per project name directory instead of all
of them into the root directory when inside of a virtual
environment. (PR #2421)

==== python3-setuptools ====
Version update (17.1.1 -> 18.0.1)

- update to version 18.0.1:
* Issue #401: Fix failure in test suite.
- changes from version 18.0.0:
* Dropped support for builds with Pyrex. Only Cython is supported.
* Issue #288: Detect Cython later in the build process, after
"setup_requires" dependencies are resolved.
Projects backed by Cython can now be readily built
with a ``setup_requires`` dependency. For example::
ext = setuptools.Extension('mylib', ['src/CythonStuff.pyx', 'src/CStuff.c'])
setuptools.setup(
...
ext_modules=[ext],
setup_requires=['cython'],
)
For compatibility with older versions of setuptools, packagers should
still include ``src/CythonMod.c`` in the source distributions or
require that Cython be present before building source distributions.
However, for systems with this build of setuptools, Cython will be
downloaded on demand.
* Issue #396: Fixed test failure on OS X.
* Pull Request #136: Remove excessive quoting from shebang headers
for Jython.

==== python3-simplejson ====
Version update (3.7.3 -> 3.8.0)

- update to version 3.8.0:
* New iterable_as_array encoder option to perform lazy serialization
of any iterable objects, without having to convert to tuple or
list.

==== libpyzy-1_0-0 ====
Subpackages: pyzy-db-android pyzy-db-open-phrase

- signed-char.patch: Fix -Wnarrowing warning

==== qemu ====
Subpackages: qemu-arm qemu-block-curl qemu-extra qemu-ipxe qemu-ksm qemu-kvm
qemu-lang qemu-ppc qemu-s390 qemu-seabios qemu-sgabios qemu-tools qemu-vgabios
qemu-x86

- Use libusb-1_0-devel as buildrequires, not the old
unused compatibility layer in libusb-devel

==== rxvt-unicode ====

- move requires for the terminfo files from terminfo to
terminfo-base (boo #936332)

==== libdcerpc-binding0 ====
Version update (4.2.2 -> 4.2.3)
Subpackages: libdcerpc-binding0-32bit libdcerpc0 libdcerpc0-32bit libgensec0
libgensec0-32bit libndr-krb5pac0 libndr-krb5pac0-32bit libndr-nbt0
libndr-nbt0-32bit libndr-standard0 libndr-standard0-32bit libndr0 libndr0-32bit
libnetapi0 libnetapi0-32bit libregistry0 libsamba-credentials0
libsamba-credentials0-32bit libsamba-hostconfig0 libsamba-hostconfig0-32bit
libsamba-passdb0 libsamba-passdb0-32bit libsamba-util0 libsamba-util0-32bit
libsamdb0 libsamdb0-32bit libsmbclient-devel libsmbclient-raw0
libsmbclient-raw0-32bit libsmbclient0 libsmbconf0 libsmbconf0-32bit libsmbldap0
libsmbldap0-32bit libtevent-util0 libtevent-util0-32bit libwbclient0
libwbclient0-32bit samba samba-32bit samba-client samba-client-32bit samba-doc
samba-libs samba-libs-32bit samba-winbind samba-winbind-32bit

- Remove libiniparser-devel build-time requirement.
- Update to 4.2.3.
+ s4:lib/tls: Fix build with gnutls 3.4; (bso#8780).
+ s4.2/fsmo.py: Fixed fsmo transfer exception; (bso#10924).
+ winbindd: Sync secrets.ldb into secrets.tdb on startup; (bso#10991).
+ Logon via MS Remote Desktop hangs; (bso#11061).
+ s3: lib: util: Ensure we read a hex number as %x, not %u; (bso#11068).
+ tevent: Add a note to tevent_add_fd(); (bso#11141).
+ s3:param/loadparm: Fix 'testparm --show-all-parameters'; (bso#11170).
+ s3-unix_msg: Remove socket file after closing socket fd; (bso#11217).
+ smbd: Fix a use-after-free; (bso#11218); (bnc#919309).
+ s3-rpc_server: Fix rpc_create_tcpip_sockets() processing of interfaces;
(bso#11245).
+ s3:smb2: Add padding to last command in compound requests; (bso#11277).
+ Add IPv6 support to ADS client side LDAP connects; (bso#11281).
+ Add IPv6 support for determining FQDN during ADS join; (bso#11282).
+ s3: IPv6 enabled DNS connections for ADS client; (bso#11283).
+ Fix invalid write in ctdb_lock_context_destructor; (bso#11293).
+ Excessive cli_resolve_path() usage can slow down transmission; (bso#11295).
+ vfs_fruit: Add option "veto_appledouble"; (bso#11305).
+ tstream: Make socketpair nonblocking; (bso#11312).
+ idmap_rfc2307: Fix wbinfo '--gid-to-sid' query; (bso#11313).
+ Group creation: Add msSFU30Name only when --nis-domain was given;
(bso#11315).
+ tevent_fd needs to be destroyed before closing the fd; (bso#11316).
+ Build fails on Solaris 11 with "?PTHREAD_MUTEX_ROBUST? undeclared";
(bso#11319).
+ smbd/trans2: Add a useful diagnostic for files with bad encoding;
(bso#11323).
+ Change sharesec output back to previous format; (bso#11324).
+ Robust mutex support broken in 1.3.5; (bso#11326).
+ Kerberos auth info3 should contain resource group ids available from
pac_logon; winbindd: winbindd_raw_kerberos_login - ensure logon_info
exists in PAC; (bso#11328); (bnc#912457).
+ s3:smb2_setinfo: Fix memory leak in the defer_rename case; (bso#11329).
+ tevent: Fix CID 1035381 Unchecked return value; (bso#11330).
+ tdb: Fix CID 1034842 and 1034841 Resource leaks; (bso#11331).
+ s3: smbd: Use separate flag to track become_root()/unbecome_root() state;
(bso#11339).
+ s3: smbd: Codenomicon crash in do_smb_load_module(); (bso#11342).
+ pidl: Make the compilation of PIDL producing the same results if the
content hasn't change; (bso#11356).
+ winbindd: Disconnect child process if request is cancelled at main
process; (bso#11358).
+ vfs_fruit: Check offset and length for AFP_AfpInfo read requests;
(bso#11363).
+ docs: Overhaul the description of "smb encrypt" to include SMB3
encryption; (bso#11366).
+ s3:auth_domain: Fix talloc problem in connect_to_domain_password_server();
(bso#11367).
+ ncacn_http: Fix GNUism; (bso#11371).
- Disable rpath usage; (bnc#902421).
- Make the winbind package depend on the matching libwbclient version and
vice versa; (bnc#936909).
- Backport changes to use resource group sids obtained from pac logon_info;
(bso#11328); (bnc#912457)

==== screen ====
Version update (4.2.1 -> 4.3.1)

- Add license file as documentation
- GNU screen 4.3.1
* This is a bug fix release.
* Visible content get messed up after window resize
- GNU screen 4.3.0:
* Introduce Xx string escape showing the executed command of a window
* Implement dead/zombie window polling, allowing for auto reconnecting
* Allow setting hardstatus on first line
* 'sort' command sorting windows by title
* 'bumpleft', 'bumpright' - manually move windows on window list
* 'collapse' removing numbering 'gaps' between windows, by renumbering
* 'windows' command now accepts arguments for use with querying
- packaging changes:
* move screen-poll-zombies.patch to savannah git
* move screen-4.0.3-ipv6.patch to savannah git
* move sort_command.patch to savannah git
* move xX_string_escape.patch to savannah git
* move screen_enhance_windows_list.patch to savannah git

==== libsensors4 ====
Version update (3.3.5 -> 3.4.0)
Subpackages: libsensors4-devel

- lm_sensors-3.4.0-sensors-detect-fix-systemd-path.patch: Handle
the move of systemd from / to /usr.
- Update to lm_sensors 3.4.0
* library: The arbitrary limit on per-type sensor count is gone.
Support for temperature min and critical min hysteresis.
* sensors: Support for temperature min and critical min
hysteresis.
* fancontrol: Deal with moving hwmon attributes. Reduce memory
consumption.
* sensors-detect: Detection of new devices.
* lm_sensors-r6216-fancontrol-moving-hwmon-attributes.patch,
lm_sensors-r6237-default-config-NCT6779-NCT6791.patch,
lm_sensors-r6254-detect-print-kernel-cpu.patch,
lm_sensors-r6255-fix-shell-error-FCFANS.patch,
lm_sensors-r6282-detect-graphics-card-in-all-cases.patch,
lm_sensors-r6283-skip-addresses-0x37-0x4f-on-DDC.patch:
Removed, upstream now.
* lm_sensors-3.0.0-sensord-separate.patch,
lm_sensors-3.0.0-sysconfig_metadata.patch,
lm_sensors-3.0.3-hint-at-kernel-extra-package.patch: Refreshed.

==== sg3_utils ====
Version update (1.40 -> 1.41)

- Update to new upstream release 1.41
* sg_zone: new utility for open, close and finish
zone commands introduced in zbc-r02
* sg_rep_zones and sg_reset_wp: change opcodes as
indicated in zbc-r02
* sg_read_buffer: add READ BUFFER(16) support (spc5r02)
* sg_logs: add --enumerate and acronyms
* allow decode from hex or binary in file
* decode environmental reporting + limits lpages
* sg_write_buffer: add --timeout=TO option
* sg_lib interface: add sg_lib_pdt_decay(), TPROTO_PCIE
plus support for zoning service actions
* sg_lib: in Linux blocked devices yield ENXIO from
ioctl(SG_IO), map to SG_LIB_CAT_NOT_READY
* clean up sg_warnings_stream handling
* sg_inq+sg_vpd: fix SCSI name string decoding in
device identification VPD page (0x83)
* increase sanity on Unit Serial number VPD page
* improve rdac vpd page reporting (vendor)
* sg_inq: improve NAA handling in dev_id VPD page
* update version descriptor list to 20150126

==== sgml-skel ====

- only create suse-catalog.xml at installation time; not in the update case.
- Add Requires(post): libxml2-tools for xmlcatalog.
- %post: create %{_sysconfdir}/xml/suse-catalog.xml to avoid validation
errors if in case no other DTD is installed [bsc#936596].

==== shadow ====

- Add systemd unit files to continuously check password & groupfile integrity
* Idea from Arch Linux
* pending request to systemd-presets-branding-openSUSE to enable by default

==== libsnapper3 ====
Subpackages: snapper snapper-zypp-plugin

- extended snapper-configs man-page
- allow to set cleanup algorithm for snapshots created by helper
programs

==== squid ====
Version update (3.5.5 -> 3.5.6)

- Update to 3.5.6
* Bug 4274: ssl_crtd.8 not being installed
* Bug 4193: memory leak on FTP listings
* Bug 4183: segfault when freeing https_port clientca on
reconfigure or exit
* Bug 3875: bad mimeLoadIconFile error handling
* Bug 3483: assertion failed store.cc:1866: 'isEmpty()'
* Bug 3329: pinned server connection is not closed properly
* TLS: Disable client-initiated renegotiation
* ext_edirectory_userip_acl: fix uninitialized variable
* Support custom OIDs in *_cert ACLs
* Fix CONNECT failover to IPv4 after trying broken IPv6 servers
* Use relative-URL in errorpage.css for SN.png
* Do not blindly forward cache peer CONNECT responses
* Fix assertion String.cc:221: "str"
* Fix assertion comm.cc:759: "Comm::IsConnOpen(conn)" in
ConnStateData::getSslContextDone
* Translations: add Spanish US dialect alias
- Drop no longer needed squid-nobuilddates.patch

==== suse-xsl-stylesheets ====
Version update (2.0.1 -> 2.0.2)

Stable release 2.0.2
- Fixed font issue for bsc#937209
- Everything (incl. schemas) that is generated now goes to build/

==== swig ====
Version update (3.0.5 -> 3.0.6)

- Add swig-octave4.patch to fix swig bindings for octave >= 4.0
(patch taken from Fedora, and has been submitted upstream).
- Fix ocaml check (swig-3.0.6.patch)
- Update to 3.0.6
- Stability and regression fixes.
- Fixed parsing of C++ corner cases.
- Language improvements and bug fixes for C#, Go, Java, Lua,
Python, R.
- explicitly disable ocaml (bug in configure script)

==== systemd-presets-branding-openSUSE ====

- Enable updatedb timer for mlocate package
* Replaces cron.daily script
- Enable timer for periodic password & group file integrity verification
- Remove xendomains.service from systemd preset file because it
conflicts with libvirt-guests.service (bnc#937371)
Its up to the admin to run systemctl enable xendomains.service
- If selinux is used, restorecond should be enabled by default.
The relevant unit only starts if the system was booted with
selinux enabled
- Do not start acpid by default, its functionality is provided
by logind nowadays.

==== systemd-rpm-macros ====

- Check for presence/executability of systemd programs before
executing them, and do not suppress warnings/errors resulting
from them.

==== libtidy-0_99-0 ====
Subpackages: libtidy-0_99-0-devel tidy

- add CVE to previous changelog entry

==== tigervnc ====
Version update (1.4.3 -> 1.5.0)
Subpackages: xorg-x11-Xvnc

- Updated to tigervnc 1.5.0.
- Dropped no longer needed patches:
* tigervnc-sf3495623.patch
* u_syslog.patch
* u_tigervnc-build-with-xserver-1.17.patch
* tigervnc-gnutls-3.4-required.patch
* u_tigervnc-dont-send-ascii-control-characters.patch
* u_terminate_instead_of_ignoring_restart.patch
- Dropped no longer needed index.vnc.
- Use encryption everywhere. (fate#318936)
* u_tigervnc-display-SHA-1-fingerprint-of-untrusted-certificate.patch
* u_tigervnc-use-default-trust-manager-in-java-viewer-if-custom.patch
* u_tigervnc-add-autoaccept-parameter.patch
- Work with fltk 1.3.2.
* N_tigervnc_revert_fltk_1_3_3_requirements.patch

==== traceroute ====
Version update (2.0.20 -> 2.0.21)

- traceroute-autotools.patch: switch to non-recursive automake
without libtool.
- Version 2.0.21
* fix -F --mtu with current kernel versions
- traceroute-autotools.patch refresh and add -fvisibility=hidden
to CFLAGS.

==== libudisks2-0 ====
Version update (2.1.5 -> 2.1.6)
Subpackages: udisks2

- Update to version 2.1.6:
+ udev rules: Stop hardcoding sed path.
+ Fix crash on inaccessible RAID member "state" attribute.
+ UDF: Drop umask=0077 default.
+ Install udisksd into a libexecdir.
+ Fail before formatting if partition contains a partition table.
+ Fix udisks_daemon_util_file_set_contents() return value
handling.
+ Remove deprecated g_io_scheduler_* calls.
+ integration-tests:
- Settle while waiting for property change.
- Don't fail if a SMART test was aborted.
- Add a wrapper to write and flush stderr.
+ Don't ignore isohybrid udf filesystems.
+ Add support for creating f2fs filesystems.
+ Decide whether devices are on the same seat by uid, not pid.
+ UDisksSpawnedJob: Retrieve uid/gid info before forking.

==== libupower-glib3 ====
Version update (0.99.2 -> 0.99.3)
Subpackages: typelib-1_0-UpowerGlib-1_0 upower

- Update to version 0.99.3
* Bail out when iDevice state is malformed (Bastien Nocera)
* Defer getting iDevice info until ready (Bastien Nocera)
* Fix crash on uninitialized variant (Vlad Orlov)
* Fix libimobiledevice msg in configure (Bastien Nocera)
* More memory handling fixes in iDevice (Bastien Nocera)
* Properly detect bluetooth mice and keyboards that are HID
devices (Marc Deslauriers)
* Support Logitech Unifying in Linux 3.19 (Peter Wu)
* Work-around broken battery on the Onda v975w (Bastien Nocera)
- Add missing rcsymlink
- Remove old provides/obsoletes
- Do not recommend obsolete pm-utils

==== virtualbox ====
Subpackages: virtualbox-guest-kmp-default virtualbox-guest-kmp-desktop
virtualbox-guest-tools virtualbox-guest-x11 virtualbox-host-kmp-default
virtualbox-host-kmp-desktop virtualbox-qt

- Exclude %ix86 arch in suse_version == 1315 (openSUSE 42)

==== libjavascriptcoregtk-4_0-18 ====
Version update (2.8.3 -> 2.8.4)
Subpackages: libwebkit2gtk-4_0-37 typelib-1_0-JavaScriptCore-4_0
typelib-1_0-WebKit2-4_0 webkit2gtk-4_0-injected-bundles

- Update to version 2.8.4:
+ Make WebSQL work by using a default quota instead of always
failing in openDatabase with DOM Exception 18.
+ Improve detection and usage of GL/GLES/EGL libraries.
+ Fix a crash on memory allocation using bmalloc on 32bit
systems.
+ Fix DOCUMENT_VIEWER cache model to actually disable the memory
cache.
+ Fix a WebProcess crash after too many redirect error when
there's an active NPAPI plugin.
+ Fix a WebProcess crash when gtk-font-name setting is empty.
+ Ensure Math.abs() doesn't return negative.
+ Correctly restore accelerated compositing after a WebProcess
crash.
+ Respect X-Frame-Options headers when loading from application
cache.
+ Several crashes and rendering issues fixed.
+ Fix the MIPS N64 detection.
+ Fix several memory leaks.
+ Updated translations.

==== libwicked-0-6 ====
Version update (0.6.18 -> 0.6.19)
Subpackages: wicked wicked-service

- version 0.6.19
- dhcp4: improve invalid dhcp options handling (boo#918069)
- dhcp6: just drop an info lease on release request and stop
- dhcp6: refresh ipv6 link on newprefix in auto mode to
workaround, that the kernel does not send us events about
mode change when RA timers are unspecified (bsc#934067)
- ethtool: do not warn when reading ethtool settings while
netlink newlink processing and the device is already gone.
- ibft: ignore invalid default gateway (0.0.0.0 and ::)
provided by the firmware (bsc#903759)
- wireless: handle ANY for WPA-EAP methods and send passwd
when phase2 method isn't set (boo#927615)
- bonding: don't insist, that arp_validate=none default is
valid in active-backup mode only (boo#919573)
- wickedd: fix to send requested device-up event ack
- nanny: fix error handling for NULL policy objects and fix
to not compare iftype to a dbus class name (boo#931288)
- nanny: ensure a device is ready to satisfy a policy match
- nanny: fixes improving delete and hotplug handling
- ifup: do not recurse when generating nanny policy matches
- ifreload: properly handle some config rename cases
- fsm: ensure to process events in order and don't advance
fsm state from events when device state outdistances it.
- schema: cleanup netif-reference meta:require checks.
- spec: require util-linux-systemd providing logger (bsc#911310)
- conditionally enable nanny use (boo#915025,bsc#916402)

==== cdrkit-cdrtools-compat ====
Subpackages: genisoimage icedax wodim

- disable source download service, upstream download location
is dead

==== x11-tools ====

- Add a template for ~/.i18n (bsc#934720).

==== xen ====
Subpackages: xen-doc-html xen-kmp-default xen-kmp-desktop xen-libs xen-tools
xen-tools-domU

- bnc#935634 - VUL-0: CVE-2015-3259: xen: XSA-137: xl command line
config handling stack overflow
CVE-2015-3259-xsa137.patch
- Upstream patches from Jan
558bfaa0-x86-traps-avoid-using-current-too-early.patch
5592a116-nested-EPT-fix-the-handling-of-nested-EPT.patch
559b9dd6-x86-p2m-ept-don-t-unmap-in-use-EPT-pagetable.patch
559bdde5-pull-in-latest-linux-earlycpio.patch
- Upstream patches from Jan pending review
552d0fd2-x86-hvm-don-t-include-asm-spinlock-h.patch
552d0fe8-x86-mtrr-include-asm-atomic.h.patch
552d293b-x86-vMSI-X-honor-all-mask-requests.patch
552d2966-x86-vMSI-X-add-valid-bits-for-read-acceleration.patch
554c7aee-x86-provide-arch_fetch_and_add.patch
554c7b00-arm-provide-arch_fetch_and_add.patch
55534b0a-x86-provide-add_sized.patch
55534b25-arm-provide-add_sized.patch
5555a4f8-use-ticket-locks-for-spin-locks.patch
5555a5b9-x86-arm-remove-asm-spinlock-h.patch
5555a8ec-introduce-non-contiguous-allocation.patch
55795a52-x86-vMSI-X-support-qword-MMIO-access.patch
557eb55f-gnttab-per-active-entry-locking.patch
557eb5b6-gnttab-introduce-maptrack-lock.patch
557eb620-gnttab-make-the-grant-table-lock-a-read-write-lock.patch
557ffab8-evtchn-factor-out-freeing-an-event-channel.patch
5582bf43-evtchn-simplify-port_is_valid.patch
5582bf81-evtchn-remove-the-locking-when-unmasking-an-event-channel.patch
5583d9c5-x86-MSI-X-cleanup.patch
5583da09-x86-MSI-track-host-and-guest-masking-separately.patch
5583da64-gnttab-use-per-VCPU-maptrack-free-lists.patch
5583da8c-gnttab-steal-maptrack-entries-from-other-VCPUs.patch
5587d711-evtchn-clear-xen_consumer-when-clearing-state.patch
5587d779-evtchn-defer-freeing-struct-evtchn-s-until-evtchn_destroy_final.patch
5587d7b7-evtchn-use-a-per-event-channel-lock-for-sending-events.patch
5587d7e2-evtchn-pad-struct-evtchn-to-64-bytes.patch
x86-MSI-pv-unmask.patch
x86-pci_cfg_okay.patch
x86-PCI-CFG-write-intercept.patch
x86-MSI-X-maskall.patch
x86-MSI-X-teardown.patch
x86-MSI-X-enable.patch
x86-MSI-mask.patch
- Dropped
qemu-MSI-X-enable-maskall.patch
qemu-MSI-X-latch-writes.patch
x86-MSI-X-guest-mask.patch

==== xfsprogs ====
Version update (3.2.2 -> 3.2.3)

- Update to 3.2.3
* xfs_repair: handle speciall atribute names correctly
* xfs_repair: handle v5 format feature flags correctly
* xfs_repair: Better v5 format validation for directories
* mkfs.xfs: enable metadata CRCs by default
* mkfs.xfs: enable free inode btrees by default
* build: glibc support updates
* man page updates
* xfs_admin: Changing UUIDs disable for CRC enabled filesystems
* xfs_repair: Separate pquota inode fixes
* xfs_db: inode alignment fixes
* mkfs.xfs: fix failures creating file images
* libxfs: zero new buffers before use
* xfs_repair: handle directory leaf CRC errors gracefully
* xfs_repair: validate and repair inode CRCs
* xfs_repair: lots of broken directory repair fixes
* xfs_db: handle v3 inodes properly
* xfs_db: allow writing corrupted metadata on CRC enabled
filesystems
* xfs_repair: gracefully handle > 512 byte sector superblocks
* mkfs.xfs: take into acocunt log stripe unit when sizing log
* xfs_metadump: inode alignment and null inode fixes
* xfs_io: FALLOC_FL_INSERT_RANGE support
* build: libtool static library build fixes
* mkfs.xfs: large block size inode alignment fixes
* xfs_repair: secondary superblock scan fixes
* xfs_repair: don't care about symlink compenent lengths
- Rebase patches
* xfsprogs-docdir.diff
* xfsprogs-ppc64.diff

==== xorg-x11-server ====
Subpackages: xorg-x11-server-extra xorg-x11-server-sdk

- Add patch u_0001-os-make-sure-the-clientsWritable-fd_set-is-initializ.patch
Prevent segmentation faults with more than 256 clients (introduced
by xproto 7.0.28 increasing the max client count 256 -> 512)
Fdo Bug: https://bugs.freedesktop.org/show_bug.cgi?id=91316

==== xproto-devel ====
Version update (7.0.27 -> 7.0.28)

- Update to version 7.0.28:
This release adds support for up to 512 clients in the X server.
Also a warning fix for C99 compilers, and a build fix for Darwin.

==== yast2 ====
Version update (3.1.138 -> 3.1.141)
Subpackages: yast2-devel-doc

- Do not try to load snapper extension as it does not exists anymore
(bsc#938377).
- 3.1.141
- do not crash if desktop file does not exist for setting icon
(bnc#937549)
- 3.1.140
- Cleanup for snapshots made during installation (bnc#935923)
- 3.1.139

==== yast2-bootloader ====
Version update (3.1.133 -> 3.1.138)

- fix crash when aborting during initial screen (bnc#910343)
- 3.1.138
- skip MBR update on s390 (bnc#937015)
- 3.1.137
- set only proper boot flags ("boot" for DOS partition table and
legacy_boot for GPT partition table), otherwise it can confuse
some firmware and cause booting problems (bnc#930903)
- 3.1.136
- Let password protection be configurable between a restricted mode
(cannot boot at all without password, default GRUB2 behavior)
and an unrestricted mode (can boot but cannot edit entries, GRUB1
behavior) (FATE#318574).
- 3.1.135
- Stop adding 'Failsafe' entry to bootloader menu unless user
manually add it (fate#317016)
- 3.1.134

==== yast2-installation ====
Version update (3.1.148 -> 3.1.150)

- Moved client code to lib/installation/clients to enable test
coverage measurements.
- 3.1.150

==== yast2-iscsi-client ====
Version update (3.1.21 -> 3.1.22)

- warn only once about non-standard initiator name (bsc#926621)
- improve help text concerning re-discovery of targets and
start-up mode (bsc#924502, bsc#924691, bsc#924693) and about
authentication settings (bsc#924685)
- 3.1.22

==== yast2-nfs-client ====
Version update (3.1.15 -> 3.1.16)

- Do not block an update of nfs-utils (boo#911986)
- 3.1.16

==== yast2-packager ====
Version update (3.1.74 -> 3.1.75)

- fixed crash when editing the default URL of a new addon
(bsc#937948)
- 3.1.75

==== yast2-pkg-bindings ====
Version update (3.1.26 -> 3.1.27)

- Pkg.SetSolverFlags(): added DUP mode solver settings, these are
different that the "normal" mode settings (FATE319128)
- 3.1.27

==== yast2-storage ====
Version update (3.1.59 -> 3.1.63)

- Allow /boot on RAID1 (bsc#938170)
- 3.1.63
- do not try to load snapper extension since it does not exist
anymore (see bsc#937243)
- 3.1.62
- Loading the correct multipath module (dm-multipath)
(bnc#937942)
- 3.1.61
- disallow using unpartitioned DASDs for LVM (fate#317934)
- 3.1.60

==== yast2-sysconfig ====
Version update (3.1.2 -> 3.1.3)

- Improved restarting/reloading of services for better
maintainability and full systemd compatibility (bnc#926485)
- New automated test suite (unit tests with RSpec)
- 3.1.3

==== yast2-tune ====
Version update (3.1.6 -> 3.1.7)

- use proper desktop file name to show proper icon (bnc#937549)
- 3.1.7

==== yast2-update ====
Version update (3.1.32 -> 3.1.33)

- Cleanup for snapshots made during installation (bnc#935923)
- 3.1.33

==== yast2-users ====
Version update (3.1.37 -> 3.1.39)

- Allow editing password-less users (bsc#928607)
- 3.1.39
- Allow setting the root password to "0" (the digit zero)
(bnc#930909)
- 3.1.38

==== yast2-vm ====
Version update (3.1.21 -> 3.1.22)

- bnc#936091 - installation of kvm and kvm-tools on s390 finishes
with "Missing parameters to modify [:common, "switch_amode"]"
- 3.1.22

==== yast2-ycp-ui-bindings ====
Version update (3.1.8 -> 3.1.9)

- Added OpenUI, CloseUI (boo#937026).
- 3.1.9

==== libzeitgeist-2_0-0 ====
Version update (0.9.14 -> 0.9.16)
Subpackages: zeitgeist

- Update to version 0.9.16:
+ Overall:
- Don't hardcode python path.
- Fix build with vala-0.24+.
- Require glib 2.35.4 and adjust target-glib accordingly.
+ Libzeitgeist:
- Add -fPIC to libzeitgeist-internal.la and
libzeitgeist_datamodel-2.0.la.
- Log: Need to quit the loop also on error, otherwise we
leave a stray main loop around.
- Changes from version 0.9.15:
+ Libzeitgeist: Fix converting variants to event lists.
+ Datahub: change some warnings to debugs.
- Drop zeitgeist-bnc876272-event-crash.patch,
zeitgeist-silence-logspam.patch and
zeitgeist-0.9.14-whereclause-fix.diff: fixed upstream.

==== libz1 ====
Subpackages: libz1-32bit zlib-devel

- Require zlib-devel in zlib-devel-static to fix previous change
- Bring back zlib-devel-static. Needed by binutils
- Remove zlib-devel-static, nothing should use libz.a anyway.
- Package minizip library, everything using it should now pull
minizip-devel and unbundle it bnc#935864




Removed packages:
libOSMesa9-32bit
libSDL_net-1_2-0
libSDL_sound-1_0-1
alsa-plugins-32bit
> alsa-plugins-pulse-32bit
apache2-mod_dnssd
apache2-mod_tidy
libdns160
cabextract
capisuite
dosbox
libmagic1-32bit
libgd3-32bit
libgdbm4-32bit
libGLU1-32bit
libfaxutil5_5_5
libcapi20-3-32bit
kscd
libXpm4-32bit
libXt6-32bit
libdb-4_8-32bit
libexif12-32bit
libgphoto2-6-32bit
libgsm1-32bit
libieee1284-32bit
libmusicbrainz3-6
> libmusicbrainz3-devel
libnl3-200-32bit
libpcap1-32bit
libusb-1_0-0-32bit
libvpx2-32bit
libx86-1
libxslt1-32bit
liblockdev1-32bit
liblua5_1-32bit
libsnmp30-32bit
nspluginwrapper
libopenal1-32bit
p11-kit-32bit
perl-32bit
perl-Sys-Hostname-Long
pm-utils
pulseaudio-esound-compat
rpm-32bit
sane-backends-32bit
libsensors4-32bit
sfftobmp
libsgutils2-1_40-2
suspend
libwrap0-32bit
libv4l1-0-32bit
> libv4l2-0-32bit
> libv4lconvert0-32bit
wine
> wine-32bit


Added packages:
libdns161
esound-daemon
libfaxutil5_5_6
libsgutils2-1_41-2
libwx_gtk2u_qa-2_8-0-stl
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >